<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Car extends Model
{
    protected $fillable = [
        'make',
        'model',
        'year',
        'license_plate',
        'daily_rate',
        'description',
        'is_available'
    ];

    protected $casts = [
        'daily_rate' => 'decimal:2',
        'is_available' => 'boolean',
    ];

    // Relationships
    public function contracts()
    {
        return $this->hasMany(Contract::class);
    }

    public function images()
    {
        return $this->hasMany(CarImage::class);
    }
}
