<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;
use Illuminate\Validation\ConditionalRules;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('contracts', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('user_id');
            $table->string('start_date');
            $table->string('end_date');
            $table->enum('payment_plan', ['weekly', 'monthly']);
            $table->decimal('daily_rate', 10, 2);
            $table->decimal('amount', 10, 2);
            $table->text('terms_conditions')->nullable();
            $table->enum('status', ['active', 'inactive', 'expired']);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('contracts');
    }
};
