@extends('admin.layouts.app')
@section('content')



<style>


a.theRemovingBtn {
    background: #000;
    padding: 16px 28px;
    color: #fff;
    font-size: 14px;
    border-radius: 7px;
}

.select2-container{
    width:30% !important;
}

.adQtyBtn {
    text-align: end;
}

tbody.quantities tr td {
    padding: 0 !important;
}

.variant.row {
    margin: 20px 0px;
}
</style>

<!-- main-panel -->
<div class="main-panel">
<div class="content-wrapper">
   <div class="row">
      <div class="col-12 col-md-12 grid-margin stretch-card">
         <div class="card">
            <div class="card-body">
                
                <form action="{{ route('admin.product.store') }}" method="POST" enctype="multipart/form-data">
                    @csrf
                    <div class="row justify-content-between">
                        <div class="col-12 col-md-6">
                            <div class="form-group">
                                <label for="name">Product Name</label>
                                <input type="text" name="name" id="name" class="form-control" required>
                            </div>
                            
                            <div class="row">
                                <div class="form-group col-md-6">
                                    <label for="base_price">Price Per Square Inch</label>
                                    <input type="number" step="0.01" class="form-control" name="price_per_square_inch" required>
                                </div>
                                
                                @if(isset($categories))
                                <div class="form-group col-md-6">
                                    <label for="name">Category</label>
                                    
                                    <select class="form-control category_id" name="category_id" required>
                                        <option value="">Select Category</option>
                                        @foreach($categories as $category)
                                        <option value="{{ $category->id }}">{{ $category->title }}</option>
                                        @endforeach
                                    </select>
                                    
                                </div>
                                @endif
                            </div>
                            
                            <div class="form-group">
                                <label for="description">Product Description</label>
                                <textarea name="description" id="description" class="form-control" rows="4"></textarea>
                            </div>
                    
                            <div class="card">
                                <div class="card-body">
                                    <h4 class="card-title">Product Image</h4>
                                    <div class="row">
                                        <div class="col-12 col-lg-3">
                                            <div class="slider1">
                                                <div class="form-group">
                                                    <label>Image</label>
                                                    <div class="row align-items-center">
                                                        <div class="col-12 col-lg-12">
                                                           <div class="text-start my-3">
                                                              <img src="{{ asset('assets/admin/images/faces/face5.png') }}"
                                                                 class="img-fluid imgTag uploaded"
                                                                 alt="Fav Icon">
                                                           </div>
                                                        </div>
                                                        <div class="posi-pic">
                                                            <div class="input-group col-xs-12">
                                                                <input type="file" name="image"
                                                                    class="file-upload-default fileInput">
                                                                <input type="text"
                                                                    class="form-control file-upload-info"
                                                                    disabled="" placeholder="Upload Image">
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
    
                                    </div>
                                </div>
                            </div>
                    
                        </div>
                        <div class="col-12 col-md-6">
                            <h4>Product Variants</h4>
                            
                            <div id="variants">
                                <div class="variant row">
                                    
                                    <div class="form-group col-md-3">
                                        <label for="size">Size</label>
                                        <select class="form-control" name="variants[0][size]" required>
                                            @foreach($sizes as $size)
                                                <option value="{{ $size->value }}">{{ $size->value }}</option>
                                            @endforeach
                                        </select>
                                    </div>
                            
                                    <div class="form-group col-md-3">
                                        <label for="base_price">Base Price (for single unit)</label>
                                        <input type="number" step="0.01" class="form-control" name="variants[0][base_price]" required>
                                    </div>
                            
                                    <div class="col-md-6 add-qty">
                                        <table class="table">
                                            <thead>
                                                <tr>
                                                    <th>Quantity</th>
                                                    <th>Bulk Price</th>
                                                    <th>Action</th>
                                                </tr>
                                            </thead>
                                            <tbody class="quantities">
                                                <tr>
                                                    <td>
                                                        <select class="form-control" name="variants[0][quantities][0][quantity]">
                                                            @foreach($quantities as $quantity)
                                                                <option value="{{ $quantity->value }}">{{ $quantity->value }}</option>
                                                            @endforeach
                                                        </select>
                                                    </td>
                                                    <td>
                                                        <input type="number" step="0.01" class="form-control" name="variants[0][quantities][0][bulk_price]" required>
                                                    </td>
                                                    <td>
                                                        <button type="button" class="btn btn-danger btn-sm remove-quantity">X</button>
                                                    </td>
                                                </tr>
                                            </tbody>
                                        </table>
                                        <button type="button" class="btn btn-secondary add-quantity mt-2">Add Quantity</button>
                                    </div>
                                        
                                </div>
                            </div>
                            
                            <!-- Button to add another size variant -->
                            <button type="button" id="add-variant" class="btn btn-secondary mt-3">Add Another Variant</button>
                        </div>
                    </div>
                    <button type="submit" class="btn btn-primary mt-3">Create Product</button>
                </form>
            </div>
         </div>
      </div>
   </div>
</div>

@endsection

@section('script')

<script>

// document.addEventListener('DOMContentLoaded', function() {
//     let variantIndex = 0;
//     let quantityIndex = 0;

//     // Function to add a new variant
//     document.getElementById('add-variant').addEventListener('click', function() {
//         variantIndex++;
//         quantityIndex = 0; // Reset quantity index for the new variant

//         const variants = document.getElementById('variants');

//         const newVariant = document.createElement('div');
//         newVariant.classList.add('variant', 'row', 'mt-3');
//         newVariant.setAttribute('data-variant-index', variantIndex);

//         newVariant.innerHTML = `
//             <div class="form-group col-md-3">
//                 <label for="size">Size</label>
//                 <select class="form-control" name="variants[${variantIndex}][size]" required>
//                     @foreach($sizes as $size)
//                         <option value="{{ $size->value }}">{{ $size->value }}</option>
//                     @endforeach
//                 </select>
//             </div>
//             <div class="form-group col-md-3">
//                 <label for="base_price">Base Price (for single unit)</label>
//                 <input type="number" step="0.01" class="form-control" name="variants[${variantIndex}][base_price]" required>
//             </div>
//             <div class="col-md-6 add-qty">
//                 <div class="quantities row">
//                     <div class="form-group col-md-6">
//                         <label for="quantity">Quantity</label>
//                         <select class="form-control" name="variants[${variantIndex}][quantities][${quantityIndex}][quantity]">
//                             @foreach($quantities as $quantity)
//                                 <option value="{{ $quantity->value }}">{{ $quantity->value }}</option>
//                             @endforeach
//                         </select>
//                     </div>
//                     <div class="form-group col-md-6">
//                         <label for="bulk_price">Bulk Price</label>
//                         <input type="number" step="0.01" class="form-control" name="variants[${variantIndex}][quantities][${quantityIndex}][bulk_price]" required>
//                     </div>
//                 </div>
//                 <div class="adQtyBtn">
//                     <button type="button" class="btn btn-secondary add-quantity mt-2">Add Quantity</button>
//                 </div>
//             </div>
//             <div class="col-12">
//                 <button type="button" class="btn btn-danger remove-variant mt-2">Remove Variant</button>
//             </div>
//         `;

//         variants.appendChild(newVariant);
//     });

//     // Event delegation for adding quantities and removing variants/quantities
//     document.addEventListener('click', function(e) {
//         if (e.target && e.target.classList.contains('add-quantity')) {
//             quantityIndex++;
//             const quantitiesDiv = e.target.closest('.add-qty').querySelector('.quantities');

//             const newQuantity = document.createElement('div');
//             newQuantity.classList.add('quantity-item', 'row', 'mt-2');
//             newQuantity.innerHTML = `
//                 <div class="form-group col-md-6">
//                     <label for="quantity">Quantity</label>
//                     <select class="form-control" name="variants[${variantIndex}][quantities][${quantityIndex}][quantity]">
//                         @foreach($quantities as $quantity)
//                             <option value="{{ $quantity->value }}">{{ $quantity->value }}</option>
//                         @endforeach
//                     </select>
//                 </div>
//                 <div class="form-group col-md-6">
//                     <label for="bulk_price">Bulk Price</label>
//                     <input type="number" step="0.01" class="form-control" name="variants[${variantIndex}][quantities][${quantityIndex}][bulk_price]" required>
//                 </div>
//                 <div class="col-12">
//                     <button type="button" class="btn btn-danger remove-quantity mt-2">Remove Quantity</button>
//                 </div>
//             `;

//             quantitiesDiv.appendChild(newQuantity);
//         }

//         // Remove the quantity field
//         if (e.target && e.target.classList.contains('remove-quantity')) {
//             e.target.closest('.quantity-item').remove();
//         }

//         // Remove the entire variant block
//         if (e.target && e.target.classList.contains('remove-variant')) {
//             e.target.closest('.variant').remove();
//         }
//     });
// });

// document.addEventListener('DOMContentLoaded', function() {
//     let variantIndex = 0;
//     let quantityIndexes = 0;

//     document.getElementById('add-variant').addEventListener('click', function() {
//         variantIndex++;
//         quantityIndexes = 0;

//         const variantsDiv = document.getElementById('variants');
//         const newVariant = document.createElement('div');
//         newVariant.classList.add('variant', 'row', 'mt-3');

//         newVariant.innerHTML = `
//             <div class="col-12" style="text-align:end;">
//                 <button type="button" class="btn btn-danger remove-variant mt-2">Delete</button>
//             </div>
//             <input type="hidden" name="variants[${variantIndex}][variant_id]" value="">
//             <div class="form-group col-md-3">
//                 <label for="size">Size</label>
//                 <select class="form-control" name="variants[${variantIndex}][size]" required>
//                     @foreach($sizes as $size)
//                         <option value="{{ $size->value }}">{{ $size->value }}</option>
//                     @endforeach
//                 </select>
//             </div>
//             <div class="form-group col-md-3">
//                 <label for="base_price">Base Price (for single unit)</label>
//                 <input type="number" step="0.01" class="form-control" name="variants[${variantIndex}][base_price]" required>
//             </div>
//             <div class="col-md-6 add-qty">
//                 <table class="table">
//                     <thead>
//                         <tr>
//                             <th>Quantity</th>
//                             <th>Bulk Price</th>
//                             <th>Action</th>
//                         </tr>
//                     </thead>
//                     <tbody class="quantities">
//                         <tr>
//                             <td>
//                                 <select class="form-control" name="variants[${variantIndex}][quantities][${quantityIndexes[variantIndex]}][quantity]">
//                                     @foreach($quantities as $quantity)
//                                         <option value="{{ $quantity->value }}">{{ $quantity->value }}</option>
//                                     @endforeach
//                                 </select>
//                             </td>
//                             <td>
//                                 <input type="number" step="0.01" class="form-control" name="variants[${variantIndex}][quantities][${quantityIndexes[variantIndex]}][bulk_price]" required>
//                             </td>
//                             <td>
//                                 <button type="button" class="btn btn-danger btn-sm remove-quantity">X</button>
//                             </td>
//                         </tr>
//                     </tbody>
//                 </table>
//                 <button type="button" class="btn btn-secondary add-quantity mt-2">Add Quantity</button>
//             </div>
//         `;

//         variantsDiv.appendChild(newVariant);
//     });

//     document.addEventListener('click', function(e) {
//         if (e.target && e.target.classList.contains('add-quantity')) {
//             const variantBlock = e.target.closest('.variant');
//             const variantIndex = Array.from(variantBlock.parentNode.children).indexOf(variantBlock);
//             quantityIndexes[variantIndex]++;

//             const quantitiesTbody = variantBlock.querySelector('.quantities');
//             const newQuantityRow = document.createElement('tr');

//             newQuantityRow.innerHTML = `
//                 <td>
//                     <select class="form-control" name="variants[${variantIndex}][quantities][${quantityIndexes[variantIndex]}][quantity]">
//                         @foreach($quantities as $quantity)
//                             <option value="{{ $quantity->value }}">{{ $quantity->value }}</option>
//                         @endforeach
//                     </select>
//                 </td>
//                 <td>
//                     <input type="number" step="0.01" class="form-control" name="variants[${variantIndex}][quantities][${quantityIndexes[variantIndex]}][bulk_price]" required>
//                 </td>
//                 <td>
//                     <button type="button" class="btn btn-danger btn-sm remove-quantity">X</button>
//                 </td>
//             `;

//             quantitiesTbody.appendChild(newQuantityRow);
//         }

//         if (e.target && e.target.classList.contains('remove-variant')) {
//     const variantBlock = e.target.closest('.variant');
//     const variantId = variantBlock.querySelector('input[name^="variants"][name$="[variant_id]"]').value;
    
//     if (variantId) {
//         $.ajax({
//             url: `{{ route('admin.deleteProductVariant') }}`,
//             method: 'POST',
//             data: JSON.stringify({ variantId: variantId }),  // JSON-encode the data
//             headers: {
//                 'X-CSRF-TOKEN': '{{ csrf_token() }}',
//                 'Content-Type': 'application/json',  // Ensure content type is application/json
//             },
//             success: function(response) {
//                 if (response.success) {
//                     alert(response.message);
//                     variantBlock.remove();
//                 } else {
//                     alert('Failed to delete variant');
//                 }
//             },
//             error: function(xhr, status, error) {
//                 console.error('AJAX Error: ', error);
//                 alert('An error occurred while trying to delete the variant.');
//             }
//         });
//     } else {
//         variantBlock.remove();
//     }
// }

// if (e.target && e.target.classList.contains('remove-quantity')) {
//     const quantityRow = e.target.closest('tr');
//     const quantityId = e.target.getAttribute('data-quantity-id');
    
//     if (quantityId) {
//         $.ajax({
//             url: `{{ route('admin.deleteVariantQuantity') }}`,
//             method: 'POST',
//             data: JSON.stringify({ quantityId: quantityId }),  // JSON-encode the data
//             headers: {
//                 'X-CSRF-TOKEN': '{{ csrf_token() }}',
//                 'Content-Type': 'application/json',  // Ensure content type is application/json
//             },
//             success: function(response) {
//                 if (response.success) {
//                     alert(response.message);
//                     quantityRow.remove();
//                 } else {
//                     alert('Failed to delete quantity');
//                 }
//             },
//             error: function(xhr, status, error) {
//                 console.error('AJAX Error: ', error);
//                 alert('An error occurred while trying to delete the quantity.');
//             }
//         });
//     } else {
//         quantityRow.remove();
//     }
// }
//     });
// });

document.addEventListener('DOMContentLoaded', function() {
    let variantIndex = 0;
    let quantityIndexes = {};  // Use an object to track quantity index per variant

    document.getElementById('add-variant').addEventListener('click', function() {
        variantIndex++;
        quantityIndexes[variantIndex] = 0;  // Initialize quantity index for this variant

        const variantsDiv = document.getElementById('variants');
        const newVariant = document.createElement('div');
        newVariant.classList.add('variant', 'row', 'mt-3');

        newVariant.innerHTML = `
            <div class="col-12" style="text-align:end;">
                <button type="button" class="btn btn-danger remove-variant mt-2">Delete</button>
            </div>
            <input type="hidden" name="variants[${variantIndex}][variant_id]" value="">
            <div class="form-group col-md-3">
                <label for="size">Size</label>
                <select class="form-control" name="variants[${variantIndex}][size]" required>
                    @foreach($sizes as $size)
                        <option value="{{ $size->value }}">{{ $size->value }}</option>
                    @endforeach
                </select>
            </div>
            <div class="form-group col-md-3">
                <label for="base_price">Base Price (for single unit)</label>
                <input type="number" step="0.01" class="form-control" name="variants[${variantIndex}][base_price]" required>
            </div>
            <div class="col-md-6 add-qty">
                <table class="table">
                    <thead>
                        <tr>
                            <th>Quantity</th>
                            <th>Bulk Price</th>
                            <th>Action</th>
                        </tr>
                    </thead>
                    <tbody class="quantities">
                        <tr>
                            <td>
                                <select class="form-control" name="variants[${variantIndex}][quantities][${quantityIndexes[variantIndex]}][quantity]">
                                    @foreach($quantities as $quantity)
                                        <option value="{{ $quantity->value }}">{{ $quantity->value }}</option>
                                    @endforeach
                                </select>
                            </td>
                            <td>
                                <input type="number" step="0.01" class="form-control" name="variants[${variantIndex}][quantities][${quantityIndexes[variantIndex]}][bulk_price]" required>
                            </td>
                            <td>
                                <button type="button" class="btn btn-danger btn-sm remove-quantity">X</button>
                            </td>
                        </tr>
                    </tbody>
                </table>
                <button type="button" class="btn btn-secondary add-quantity mt-2">Add Quantity</button>
            </div>
        `;

        variantsDiv.appendChild(newVariant);
    });

    document.addEventListener('click', function(e) {
        if (e.target && e.target.classList.contains('add-quantity')) {
            const variantBlock = e.target.closest('.variant');
            const variantIndex = Array.from(variantBlock.parentNode.children).indexOf(variantBlock);
            
            if (!quantityIndexes[variantIndex]) {
                quantityIndexes[variantIndex] = 0;
            }
            quantityIndexes[variantIndex]++;

            const quantitiesTbody = variantBlock.querySelector('.quantities');
            const newQuantityRow = document.createElement('tr');

            newQuantityRow.innerHTML = `
                <td>
                    <select class="form-control" name="variants[${variantIndex}][quantities][${quantityIndexes[variantIndex]}][quantity]">
                        @foreach($quantities as $quantity)
                            <option value="{{ $quantity->value }}">{{ $quantity->value }}</option>
                        @endforeach
                    </select>
                </td>
                <td>
                    <input type="number" step="0.01" class="form-control" name="variants[${variantIndex}][quantities][${quantityIndexes[variantIndex]}][bulk_price]" required>
                </td>
                <td>
                    <button type="button" class="btn btn-danger btn-sm remove-quantity">X</button>
                </td>
            `;

            quantitiesTbody.appendChild(newQuantityRow);
        }

        if (e.target && e.target.classList.contains('remove-variant')) {
            const variantBlock = e.target.closest('.variant');
            const variantId = variantBlock.querySelector('input[name^="variants"][name$="[variant_id]"]').value;

            if (variantId) {
                $.ajax({
                    url: `{{ route('admin.deleteProductVariant') }}`,
                    method: 'POST',
                    data: JSON.stringify({ variantId: variantId }),
                    headers: {
                        'X-CSRF-TOKEN': '{{ csrf_token() }}',
                        'Content-Type': 'application/json',
                    },
                    success: function(response) {
                        if (response.success) {
                            alert(response.message);
                            variantBlock.remove();
                        } else {
                            alert('Failed to delete variant');
                        }
                    },
                    error: function(xhr, status, error) {
                        console.error('AJAX Error: ', error);
                        alert('An error occurred while trying to delete the variant.');
                    }
                });
            } else {
                variantBlock.remove();
            }
        }

        if (e.target && e.target.classList.contains('remove-quantity')) {
            const quantityRow = e.target.closest('tr');
            const quantityId = e.target.getAttribute('data-quantity-id');

            if (quantityId) {
                $.ajax({
                    url: `{{ route('admin.deleteVariantQuantity') }}`,
                    method: 'POST',
                    data: JSON.stringify({ quantityId: quantityId }),
                    headers: {
                        'X-CSRF-TOKEN': '{{ csrf_token() }}',
                        'Content-Type': 'application/json',
                    },
                    success: function(response) {
                        if (response.success) {
                            alert(response.message);
                            quantityRow.remove();
                        } else {
                            alert('Failed to delete quantity');
                        }
                    },
                    error: function(xhr, status, error) {
                        console.error('AJAX Error: ', error);
                        alert('An error occurred while trying to delete the quantity.');
                    }
                });
            } else {
                quantityRow.remove();
            }
        }
    });
});




</script>

@endsection
