@extends('admin.layouts.app')
@section('content')

<style>

a.theRemovingBtn {
    background: #000;
    padding: 16px 28px;
    color: #fff;
    font-size: 14px;
    border-radius: 7px;
}

.select2-container{
    width:30% !important;
}

.adQtyBtn {
    text-align: end;
}

tbody.quantities tr td {
    padding: 0 !important;
}

.variant.row {
    margin: 20px 0px;
}

.col-md-6.add-qty {
    height: 175px;
    overflow: scroll;
}
</style>

<!-- main-panel -->
<div class="main-panel">
<div class="content-wrapper">
   <div class="row">
      <div class="col-12 col-md-12 grid-margin stretch-card">
         <div class="card">
            <div class="card-body">
                <form action="{{ route('admin.product.update', $product->id) }}" method="POST" enctype="multipart/form-data">
                    @csrf
                    <div class="row justify-content-between">
                        <div class="col-12 col-md-6">
                            <!-- Product Name -->
                            <div class="form-group">
                                <label for="name">Product Name</label>
                                <input type="text" name="name" value="{{ $product->name }}" id="name" class="form-control" required>
                            </div>
                            
                            <div class="row">
                                <div class="form-group col-md-6">
                                    <label for="price_per_square_inch">Price Per Square Inch</label>
                                    <input type="number" step="0.01" class="form-control" value="{{ $product->price_per_square_inch }}" name="price_per_square_inch" required>
                                </div>
                                
                                @if(isset($categories))
                                <div class="form-group col-md-6">
                                    <label for="name">Category</label>
                                    
                                    <select class="form-control category_id" name="category_id" required>
                                        <option value="">Select Category</option>
                                        @foreach($categories as $category)
                                        <option value="{{ $category->id }}" {{ $product->category_id == $category->id ? 'selected' : '' }}>{{ $category->title }}</option>
                                        @endforeach
                                    </select>
                                    
                                </div>
                                @endif
                            </div>
                            
                            
                            
                            <!-- Product Description -->
                            <div class="form-group">
                                <label for="description">Description</label>
                                <textarea name="description" id="description" class="form-control" rows="4">{{ $product->description }}</textarea>
                            </div>
                    
                            <!-- Product Thumbnail -->
                            <div class="card">
                                <div class="card-body">
                                    <h4 class="card-title">Product Image</h4>
                                    <div class="row">
                                        <div class="col-12 col-lg-3">
                                            <div class="slider1">
                                                <div class="form-group">
                                                    <label>Image</label>
                                                    <div class="row align-items-center">
                                                        <div class="col-12 col-lg-12">
                                                           <div class="text-start my-3">
                                                              <img src="{{ asset('build/assets/images/products/'.$product->image) }}"
                                                                 class="img-fluid imgTag uploaded"
                                                                 alt="Fav Icon">
                                                           </div>
                                                        </div>
                                                        <div class="posi-pic">
                                                            <div class="input-group col-xs-12">
                                                                <input type="file" name="image"
                                                                    class="file-upload-default fileInput">
                                                                <input type="text"
                                                                    class="form-control file-upload-info"
                                                                    disabled="" placeholder="Upload Image">
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
    
                                    </div>
                                </div>
                            </div>
                    
                        </div>
                        <div class="col-12 col-md-6">
                            <h4>Product Variants</h4>
                            <!--<table class="table">-->
                            <!--    <thead>-->
                            <!--        <tr>-->
                            <!--            <th>Size</th>-->
                            <!--            <th>Base Price</th>-->
                            <!--            <th>Quantities</th>-->
                            <!--        </tr>-->
                            <!--    </thead>-->
                            <!--    <tbody>-->
                            <!--        @foreach($product->variants as $variantIndex => $variant)-->
                            <!--        <tr class="variant">-->
                            <!--            <input type="hidden" name="variants[{{ $variantIndex }}][variant_id]" value="{{ $variant->id }}">-->
                            <!--            <td>{{ $variant->size }}</td>-->
                            <!--            <td>${{ $variant->base_price ?? 'N/A' }}</td>-->
                            <!--            <td class="">-->
                                            
                            <!--                <table class="table quantities">-->
                            <!--                    <thead>-->
                            <!--                        <tr>-->
                                                        <!--<th>Quantity</th>-->
                                                        <!--<th>Bulk Price</th>-->
                            <!--                        </tr>-->
                            <!--                    </thead>-->
                            <!--                    <tbody>-->
                            <!--                    @if(isset($variant->quantities))-->
                            <!--                    @foreach($variant->quantities as $qty)-->
                                                <!--({{ $qty->quantity }},${{ $qty->bulk_price ?? 'N/A' }})-->
                                                
                            <!--                        <tr>-->
                            <!--                            <td>{{ $qty->quantity }}</td>-->
                            <!--                            <td>${{ $qty->bulk_price ?? 'N/A' }}</td>-->
                            <!--                        </tr>-->
                                                    
                            <!--                    @endforeach-->
                            <!--                    @endif-->
                            <!--                    </tbody>-->
                            <!--                </table>-->
                                            
                            <!--                <div class="adQtyBtn">-->
                                                <!--<input type="hidden" name="variant_id" value="{{ $variant->id }}">-->
                            <!--                    <button type="button" class="btn btn-secondary add-quantity mt-2">Add Quantity</button>-->
                            <!--                </div>-->
                            <!--            </td>-->
                            <!--        </tr>-->
                                    
                            <!--        @endforeach-->
                            <!--    </tbody>-->
                            <!--</table>-->
                            
                            <div id="variants">
                                @foreach($product->variants as $variantIndex => $variant)
                                <div class="variant row mt-3">
                                    <div class="col-12" style="text-align:end;">
                                        <button type="button" class="btn btn-danger remove-variant mt-2" data-variant-id="{{ $variant->id }}">Delete</button>
                                    </div>
                                    <input type="hidden" name="variants[{{ $variantIndex }}][variant_id]" value="{{ $variant->id }}">
                            
                                    <div class="form-group col-md-3">
                                        <label for="size">Size</label>
                                        <select class="form-control" name="variants[{{ $variantIndex }}][size]" required>
                                            @foreach($sizes as $size)
                                                <option value="{{ $size->value }}" {{ $variant->size == $size->value ? 'selected' : '' }}>{{ $size->value }}</option>
                                            @endforeach
                                        </select>
                                    </div>
                            
                                    <div class="form-group col-md-3">
                                        <label for="base_price">Base Price (for single unit)</label>
                                        <input type="number" step="0.01" class="form-control" name="variants[{{ $variantIndex }}][base_price]" value="{{ $variant->base_price }}" required>
                                    </div>
                            
                                    <div class="col-md-6 add-qty">
                                        <table class="table">
                                            <thead>
                                                <tr>
                                                    <th>Quantity</th>
                                                    <th>Bulk Price</th>
                                                    <th>Action</th>
                                                </tr>
                                            </thead>
                                            <tbody class="quantities">
                                                @foreach($variant->quantities as $quantityIndex => $quantity)
                                                <tr>
                                                    <input type="hidden" name="variants[{{ $variantIndex }}][quantities][{{ $quantityIndex }}][quantity_id]" value="{{ $quantity->id }}">
                                                    <td>
                                                        <select class="form-control" name="variants[{{ $variantIndex }}][quantities][{{ $quantityIndex }}][quantity]">
                                                            @foreach($quantities as $qty)
                                                                <option value="{{ $qty->value }}" {{ $quantity->quantity == $qty->value ? 'selected' : '' }}>{{ $qty->value }}</option>
                                                            @endforeach
                                                        </select>
                                                        <!--<input type="number" class="form-control" name="variants[{{ $variantIndex }}][quantities][{{ $quantityIndex }}][quantity]" value="{{ $quantity->quantity }}" required>-->
                                                    </td>
                                                    <td>
                                                        <input type="number" step="0.01" class="form-control" name="variants[{{ $variantIndex }}][quantities][{{ $quantityIndex }}][bulk_price]" value="{{ $quantity->bulk_price }}" required>
                                                    </td>
                                                    <td>
                                                        <button type="button" class="btn btn-danger btn-sm remove-quantity" data-quantity-id="{{ $quantity->id }}">X</button>
                                                    </td>
                                                </tr>
                                                @endforeach
                                            </tbody>
                                        </table>
                                        <button type="button" class="btn btn-secondary add-quantity mt-2">Add Quantity</button>
                                    </div>
                                </div>
                                @endforeach
                            </div>
                            
                            <button type="button" id="add-variant" class="btn btn-secondary mt-3">Add Another Variant</button>

                        
                        </div>
                    </div>
            
                    <!-- Submit Button -->
                    <button type="submit" class="btn btn-primary mt-3">Update Product</button>
                </form>
            </div>
         </div>
      </div>
   </div>
</div>

@endsection

@section('script')

<script>

// document.addEventListener('DOMContentLoaded', function() {
//     let variantIndex = {{ $product->variants->count() }}; // Start from the count of existing variants
//     let quantityIndexes = {}; // To track quantity indexes per variant

//     // Initialize quantity indexes for existing variants
//     @foreach($product->variants as $variant)
//         quantityIndexes[{{ $loop->index }}] = {{ $variant->quantities->count() }};
//     @endforeach

//     // Add new variant block
//     document.getElementById('add-variant').addEventListener('click', function() {
//         variantIndex++;
//         quantityIndexes[variantIndex] = 0;

//         const variantsDiv = document.getElementById('variants');
//         const newVariant = document.createElement('div');
//         newVariant.classList.add('variant', 'row', 'mt-3');

//         newVariant.innerHTML = `
            // <div class="form-group col-md-3">
            //     <label for="size">Size</label>
            //     <select class="form-control" name="variants[${variantIndex}][size]" required>
            //         @foreach($sizes as $size)
            //             <option value="{{ $size->value }}">{{ $size->value }}</option>
            //         @endforeach
            //     </select>
            // </div>
            // <div class="form-group col-md-3">
            //     <label for="base_price">Base Price (for single unit)</label>
            //     <input type="number" step="0.01" class="form-control" name="variants[${variantIndex}][base_price]" required>
            // </div>
//             <div class="col-md-6 add-qty">
//                 <div class="quantities row">
//                     <div class="form-group col-md-6">
//                         <label for="quantity">Quantity</label>
//                         <select class="form-control" name="variants[${variantIndex}][quantities][${quantityIndex}][quantity]">
//                             @foreach($quantities as $quantity)
//                                 <option value="{{ $quantity->value }}">{{ $quantity->value }}</option>
//                             @endforeach
//                         </select>
//                     </div>
//                     <div class="form-group col-md-6">
//                         <label for="bulk_price">Bulk Price</label>
//                         <input type="number" step="0.01" class="form-control" name="variants[${variantIndex}][quantities][${quantityIndex}][bulk_price]" required>
//                     </div>
//                 </div>
//                 <div class="adQtyBtn">
//                     <button type="button" class="btn btn-secondary add-quantity mt-2">Add Quantity</button>
//                 </div>
//             </div>
//             <div class="col-12">
//                 <button type="button" class="btn btn-danger remove-variant mt-2">Remove Variant</button>
//             </div>
//         `;

//         variantsDiv.appendChild(newVariant);
//     });

//     // Event delegation for dynamically adding quantities and removing variants
//     document.addEventListener('click', function(e) {
//         // Add Quantity
//         if (e.target && e.target.classList.contains('add-quantity')) {
//             const variantBlock = e.target.closest('.variant');
//             if (variantBlock) { // Ensure variantBlock is found
//                 const variantIndex = Array.from(variantBlock.parentNode.children).indexOf(variantBlock);
//                 quantityIndexes[variantIndex]++;

//                 const quantitiesTbody = variantBlock.querySelector('.quantities');
//                 const newQuantityRow = document.createElement('tr');

//                 newQuantityRow.innerHTML = `
//                     <td>
//                         <select class="form-control" name="variants[${variantIndex}][quantities][${quantityIndexes[variantIndex]}][quantity]">
//                             @foreach($quantities as $quantity)
//                                 <option value="{{ $quantity->value }}">{{ $quantity->value }}</option>
//                             @endforeach
//                         </select>
                        
//                     </td>
//                     <td>
//                         <input type="number" step="0.01" class="form-control" name="variants[${variantIndex}][quantities][${quantityIndexes[variantIndex]}][bulk_price]" required>
//                     </td>
//                     <td>
//                         <button type="button" class="btn btn-danger remove-quantity mt-2">Remove</button>
//                     </td>
//                 `;

//                 quantitiesTbody.appendChild(newQuantityRow);
//             }
//         }

//         // Remove the entire variant block
//         if (e.target && e.target.classList.contains('remove-variant')) {
//             const variantBlock = e.target.closest('.variant');
//             const variantId = variantBlock.querySelector('input[name^="variants"][name$="[id]"]').value;
    
//             if (variantId) {
//                 if (confirm('Are you sure you want to delete this variant?')) {
//                     // Send AJAX request to delete variant
//                     fetch(`/admin/variant/${variantId}/delete`, {
//                         method: 'DELETE',
//                         headers: {
//                             'X-CSRF-TOKEN': '{{ csrf_token() }}',
//                             'Content-Type': 'application/json',
//                         },
//                     })
//                     .then(response => response.json())
//                     .then(data => {
//                         if (data.success) {
//                             alert(data.message);
//                             variantBlock.remove(); // Remove the variant div from the DOM
//                         } else {
//                             alert('Failed to delete variant');
//                         }
//                     })
//                     .catch(error => console.error('Error:', error));
//                 }
//             } else {
//                 // If there's no ID (new variant), just remove the block
//                 variantBlock.remove();
//             }
//         }
        
//         if (e.target && e.target.classList.contains('remove-quantity')) {
//             e.target.closest('tr').remove();
//         }
//     });
// });

// document.addEventListener('DOMContentLoaded', function() {
//     let variantIndex = {{ $product->variants->count() }}; // Start from the count of existing variants
//     let quantityIndexes = {}; // To track quantity indexes per variant

//     // Initialize quantity indexes for existing variants
//     @foreach($product->variants as $variant)
//         quantityIndexes[{{ $loop->index }}] = {{ $variant->quantities->count() }};
//     @endforeach

//     // Add new variant block
//     document.getElementById('add-variant').addEventListener('click', function() {
//         variantIndex++;
//         quantityIndexes[variantIndex] = 0;

//         const variantsDiv = document.getElementById('variants');
//         const newVariant = document.createElement('div');
//         newVariant.classList.add('variant', 'row', 'mt-3');

//         newVariant.innerHTML = `
//             <div class="col-12 text-end" style="text-align: end;">
//                 <button type="button" class="btn btn-danger remove-variant mt-2">Delete</button>
//             </div>
//             <input type="hidden" name="variants[${variantIndex}][variant_id]" value="">
            
//             <div class="form-group col-md-3">
//                 <label for="size">Size</label>
//                 <select class="form-control" name="variants[${variantIndex}][size]" required>
//                     @foreach($sizes as $size)
//                         <option value="{{ $size->value }}">{{ $size->value }}</option>
//                     @endforeach
//                 </select>
//             </div>
//             <div class="form-group col-md-3">
//                 <label for="base_price">Base Price (for single unit)</label>
//                 <input type="number" step="0.01" class="form-control" name="variants[${variantIndex}][base_price]" required>
//             </div>

//             <div class="col-md-6 add-qty">
//                 <table class="table">
//                     <thead>
//                         <tr>
//                             <th>Quantity</th>
//                             <th>Bulk Price</th>
//                             <th>Action</th>
//                         </tr>
//                     </thead>
//                     <tbody class="quantities">
//                         <td>
//                             <select class="form-control" name="variants[${variantIndex}][quantities][${quantityIndexes[variantIndex]}][quantity]">
//                                 @foreach($quantities as $quantity)
//                                     <option value="{{ $quantity->value }}">{{ $quantity->value }}</option>
//                                 @endforeach
//                             </select>
                            
//                         </td>
//                         <td>
//                             <input type="number" step="0.01" class="form-control" name="variants[${variantIndex}][quantities][${quantityIndexes[variantIndex]}][bulk_price]" required>
//                         </td>
//                         <td>
//                             <button type="button" class="btn btn-danger btn-sm remove-quantity">X</button>
//                         </td>
//                     </tbody>
//                 </table>
//                 <button type="button" class="btn btn-secondary add-quantity mt-2">Add Quantity</button>
//             </div>
//         `;

//         variantsDiv.appendChild(newVariant);
//     });

//     // Event delegation for dynamically adding quantities, removing quantities, and removing variants
//     document.addEventListener('click', function(e) {
//         // Add Quantity
//         if (e.target && e.target.classList.contains('add-quantity')) {
//             const variantBlock = e.target.closest('.variant');
//             const variantIndex = Array.from(variantBlock.parentNode.children).indexOf(variantBlock);
//             quantityIndexes[variantIndex]++;

//             const quantitiesTbody = variantBlock.querySelector('.quantities');
//             const newQuantityRow = document.createElement('tr');

//             newQuantityRow.innerHTML = `
//                 <td>
//                     <select class="form-control" name="variants[${variantIndex}][quantities][${quantityIndexes[variantIndex]}][quantity]">
//                         @foreach($quantities as $quantity)
//                             <option value="{{ $quantity->value }}">{{ $quantity->value }}</option>
//                         @endforeach
//                     </select>
                    
//                 </td>
//                 <td>
//                     <input type="number" step="0.01" class="form-control" name="variants[${variantIndex}][quantities][${quantityIndexes[variantIndex]}][bulk_price]" required>
//                 </td>
//                 <td>
//                     <button type="button" class="btn btn-danger btn-sm remove-quantity">X</button>
//                 </td>
//             `;

//             quantitiesTbody.appendChild(newQuantityRow);
//         }

//         // Remove the entire variant block
//         if (e.target && e.target.classList.contains('remove-variant')) {
//             const variantBlock = e.target.closest('.variant');
//             const variantId = variantBlock.querySelector('input[name^="variants"][name$="[variant_id]"]').value;

//             if (variantId) {
//                 if (confirm('Are you sure you want to delete this variant?')) {
//                     // Send AJAX request to delete variant
//                     fetch(`/admin/variant/${variantId}/delete`, {
//                         method: 'DELETE',
//                         headers: {
//                             'X-CSRF-TOKEN': '{{ csrf_token() }}',
//                             'Content-Type': 'application/json',
//                         },
//                     })
//                     .then(response => response.json())
//                     .then(data => {
//                         if (data.success) {
//                             alert(data.message);
//                             variantBlock.remove(); // Remove the variant div from the DOM
//                         } else {
//                             alert('Failed to delete variant');
//                         }
//                     })
//                     .catch(error => console.error('Error:', error));
//                 }
//             } else {
//                 // If there's no ID (new variant), just remove the block
//                 variantBlock.remove();
//             }
//         }

//         // Remove a specific quantity row
//         if (e.target && e.target.classList.contains('remove-quantity')) {
//             const quantityRow = e.target.closest('tr');
//             const quantityId = e.target.getAttribute('data-quantity-id');

//             if (quantityId) {
//                 if (confirm('Are you sure you want to delete this quantity?')) {
//                     // Send AJAX request to delete quantity
//                     fetch(`/admin/quantity/${quantityId}/delete`, {
//                         method: 'DELETE',
//                         headers: {
//                             'X-CSRF-TOKEN': '{{ csrf_token() }}',
//                             'Content-Type': 'application/json',
//                         },
//                     })
//                     .then(response => response.json())
//                     .then(data => {
//                         if (data.success) {
//                             alert(data.message);
//                             quantityRow.remove(); // Remove the quantity row from the DOM
//                         } else {
//                             alert('Failed to delete quantity');
//                         }
//                     })
//                     .catch(error => console.error('Error:', error));
//                 }
//             } else {
//                 // If there's no ID (new quantity), just remove the row
//                 quantityRow.remove();
//             }
//         }
//     });
// });

document.addEventListener('DOMContentLoaded', function() {
    let variantIndex = {{ $product->variants->count() }};
    let quantityIndexes = {};

    @foreach($product->variants as $variant)
        quantityIndexes[{{ $loop->index }}] = {{ $variant->quantities->count() }};
    @endforeach

    document.getElementById('add-variant').addEventListener('click', function() {
        variantIndex++;
        quantityIndexes[variantIndex] = 0;

        const variantsDiv = document.getElementById('variants');
        const newVariant = document.createElement('div');
        newVariant.classList.add('variant', 'row', 'mt-3');

        newVariant.innerHTML = `
            <div class="col-12" style="text-align:end;">
                <button type="button" class="btn btn-danger remove-variant mt-2">Delete</button>
            </div>
            <input type="hidden" name="variants[${variantIndex}][variant_id]" value="">
            <div class="form-group col-md-3">
                <label for="size">Size</label>
                <select class="form-control" name="variants[${variantIndex}][size]" required>
                    @foreach($sizes as $size)
                        <option value="{{ $size->value }}">{{ $size->value }}</option>
                    @endforeach
                </select>
            </div>
            <div class="form-group col-md-3">
                <label for="base_price">Base Price (for single unit)</label>
                <input type="number" step="0.01" class="form-control" name="variants[${variantIndex}][base_price]" required>
            </div>
            <div class="col-md-6 add-qty">
                <table class="table">
                    <thead>
                        <tr>
                            <th>Quantity</th>
                            <th>Bulk Price</th>
                            <th>Action</th>
                        </tr>
                    </thead>
                    <tbody class="quantities">
                        <tr>
                            <td>
                                <select class="form-control" name="variants[${variantIndex}][quantities][${quantityIndexes[variantIndex]}][quantity]">
                                    @foreach($quantities as $quantity)
                                        <option value="{{ $quantity->value }}">{{ $quantity->value }}</option>
                                    @endforeach
                                </select>
                            </td>
                            <td>
                                <input type="number" step="0.01" class="form-control" name="variants[${variantIndex}][quantities][${quantityIndexes[variantIndex]}][bulk_price]" required>
                            </td>
                            <td>
                                <button type="button" class="btn btn-danger btn-sm remove-quantity">X</button>
                            </td>
                        </tr>
                    </tbody>
                </table>
                <button type="button" class="btn btn-secondary add-quantity mt-2">Add Quantity</button>
            </div>
        `;

        variantsDiv.appendChild(newVariant);
    });

    document.addEventListener('click', function(e) {
        if (e.target && e.target.classList.contains('add-quantity')) {
            const variantBlock = e.target.closest('.variant');
            const variantIndex = Array.from(variantBlock.parentNode.children).indexOf(variantBlock);
            quantityIndexes[variantIndex]++;

            const quantitiesTbody = variantBlock.querySelector('.quantities');
            const newQuantityRow = document.createElement('tr');

            newQuantityRow.innerHTML = `
                <td>
                    <select class="form-control" name="variants[${variantIndex}][quantities][${quantityIndexes[variantIndex]}][quantity]">
                        @foreach($quantities as $quantity)
                            <option value="{{ $quantity->value }}">{{ $quantity->value }}</option>
                        @endforeach
                    </select>
                </td>
                <td>
                    <input type="number" step="0.01" class="form-control" name="variants[${variantIndex}][quantities][${quantityIndexes[variantIndex]}][bulk_price]" required>
                </td>
                <td>
                    <button type="button" class="btn btn-danger btn-sm remove-quantity">X</button>
                </td>
            `;

            quantitiesTbody.appendChild(newQuantityRow);
        }

        if (e.target && e.target.classList.contains('remove-variant')) {
    const variantBlock = e.target.closest('.variant');
    const variantId = variantBlock.querySelector('input[name^="variants"][name$="[variant_id]"]').value;
    
    if (variantId) {
        $.ajax({
            url: `{{ route('admin.deleteProductVariant') }}`,
            method: 'POST',
            data: JSON.stringify({ variantId: variantId }),  // JSON-encode the data
            headers: {
                'X-CSRF-TOKEN': '{{ csrf_token() }}',
                'Content-Type': 'application/json',  // Ensure content type is application/json
            },
            success: function(response) {
                if (response.success) {
                    alert(response.message);
                    variantBlock.remove();
                } else {
                    alert('Failed to delete variant');
                }
            },
            error: function(xhr, status, error) {
                console.error('AJAX Error: ', error);
                alert('An error occurred while trying to delete the variant.');
            }
        });
    } else {
        variantBlock.remove();
    }
}

if (e.target && e.target.classList.contains('remove-quantity')) {
    const quantityRow = e.target.closest('tr');
    const quantityId = e.target.getAttribute('data-quantity-id');
    
    if (quantityId) {
        $.ajax({
            url: `{{ route('admin.deleteVariantQuantity') }}`,
            method: 'POST',
            data: JSON.stringify({ quantityId: quantityId }),  // JSON-encode the data
            headers: {
                'X-CSRF-TOKEN': '{{ csrf_token() }}',
                'Content-Type': 'application/json',  // Ensure content type is application/json
            },
            success: function(response) {
                if (response.success) {
                    alert(response.message);
                    quantityRow.remove();
                } else {
                    alert('Failed to delete quantity');
                }
            },
            error: function(xhr, status, error) {
                console.error('AJAX Error: ', error);
                alert('An error occurred while trying to delete the quantity.');
            }
        });
    } else {
        quantityRow.remove();
    }
}
    });
});



</script>

@endsection
