@extends('admin.layouts.app')
@section('content')


<style>
    input#searchInput {
    height: 50px;
    font-size: 15px;
    padding: 20px;
}

a#searchButton {height: 50px;}

tbody#appendProds div {
    padding: 20px !important;
}
.hidden.sm\:flex-1.sm\:flex.sm\:items-center.sm\:justify-between {
    margin: 20px;
}
svg.w-5.h-5 {
    width: 55px;
    color: black;
    padding: 5px;
}
.flex.justify-between.flex-1.sm\:hidden {
    display: none;
}
.hidden.sm\:flex-1.sm\:flex.sm\:items-center.sm\:justify-between p {
    text-align: center;
    color: #c40067;
}
a.relative.inline-flex.items-center.px-4.py-2.-ml-px.text-sm.font-medium.text-gray-700.bg-white.border.border-gray-300.leading-5.hover\:text-gray-500.focus\:z-10.focus\:outline-none.focus\:ring.ring-gray-300.focus\:border-blue-300.active\:bg-gray-100.active\:text-gray-700.transition.ease-in-out.duration-150 {
    color: black;
}

.table td img {
    width: 70px;
    height: 70px;
}
</style>


<!-- main-panel -->
<div class="main-panel">
    <div class="content-wrapper">
        <div class="d-flex justify-content-between mb-4">
            <form id="searchForm">
                <input type="text" id="searchInput" placeholder="Search for cars...">
                <!--<a class="javascript:; btn btn-primary" id="searchButton" >Search</a>-->
            </form>
            <a href="{{ route('admin.cars.create') }}" 
                class="btn btn-primary btn-icon-text">
                <i class="typcn typcn-upload btn-icon-prepend"></i>
                Add Car </a>
            
        </div>
        <div class="row">
            <div class="col-md-12">
            <div class="card">
                    <div class="table-responsive pt-3">
                        <table class="table table-striped project-orders-table">
                            <thead>
                                <tr>
                                    <th class="ml-5">ID</th>
                                    <th>Car Name</th>
                                    <th>Category</th>
                                    <th>Image</th>
                                    <th>Status</th>
                                    <th>Actions</th>
                                </tr>
                            </thead>
                            <tbody id="appendProds">
                            @if(count($cars))
                            @php $i=0; @endphp
                            @foreach($cars as $prod)
                            
                                <tr>
                                    <td>{{ ++$i }}</td>
                                    <td>{{ ucfirst($prod->name) }}</td>
                                    <td>{{ !empty($prod->category) ? ucfirst($prod->category->title) : '' }}</td>
                                    <td>
                                        <img style="background:#3fc7ba" src="{{ asset('build/assets/images/cars/'.$prod->image) }}" height="100">
                                    </td>
                                    
                                    @if(!empty($prod) && $prod->status == 'active')
                                    <td><span class="badge badge-success">Active</span></td>
                                    @else
                                    <td><span class="badge badge-danger">Deactive</span></td>
                                    @endif
                                    <td>
                                        <div class="d-flex align-items-center">
                                            <a href="{{ route('admin.cars.edit',$prod->id) }}" class="btn btn-success btn-sm btn-icon-text mr-3">
                                                Edit
                                                <i class="typcn typcn-edit btn-icon-append"></i>
                                            </a>
                                            <a href="{{ route('admin.cars.delete',$prod->id) }}" class="btn btn-danger btn-sm btn-icon-text">
                                                Delete
                                                <i class="typcn typcn-delete-outline btn-icon-append"></i>
                                            </a>
                                        </div>
                                    </td>
                                </tr>
                            @endforeach
                            @endif    
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <div class="row mt-4">
            <div class="col-md-12">
                <div class="card align-items-center imagePagination">
                    {{ $cars->links() }}
                </div>
            </div>
        </div>
    </div>

@endsection

@section('script')

<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
{{-- <script>
    $(document).ready(function(){
        $('#searchInput').on('keyup', function() {
        // $('#searchButton').on('click', function() {
            var query = $('#searchInput').val();
            
            if (query.trim() === '') {
                // Fetch all products or handle the empty input scenario
                fetchAllProducts();
            } else {
                // Proceed with the search
                $.ajax({
                    url:"{{ route('admin.getProds') }}",
                    method:'GET',
                    header:{
                        'X-CSRF-TOKEN': '{{ csrf_token() }}'
                    },
                    data:{query:query},
                    success: handleSearchSuccess,
                    error: function(xhr, status, error) {
                        // Handle errors
                        console.error("Error occurred: " + status + ", " + error);
                    }
                    
                });
            }
        });
        
        // Function to fetch all products
        function fetchAllProducts() {
            $.ajax({
                url: "{{ route('admin.getAllProds') }}", // Endpoint to fetch all products
                method: 'GET',
                success: handleSearchSuccess,
                error: function(xhr, status, error) {
                    console.error("Error occurred: " + status + ", " + error);
                }
            });
        }
        
        function handleSearchSuccess(data) {
            $('#appendProds').empty(); // Empty the container first
    
            if (data.length === 0) {
                // Display "No product found" message
                $('#appendProds').append('<div>No product found.</div>');
            } else {
                // Append products to the container
                $.each(data, function(index, product){
                    $('#appendProds').append(`
                        <tr>
                            <td>${product.id}</td>
                            <td>${product.product_name}</td>
                            <td>${product.category ? product.category.name : ''}</td>
                            <td>${product.company ? product.company.name : ''}</td>
                            <td>${product.product_type ? product.product_type.replace('_', ' ').replace(/(^\w|\s\w)/g, m => m.toUpperCase()) : ''}</td>
                            <td>${product.variants ? product.variants.reduce((sum, variant) => sum + Number(variant.product_variant_quantity), 0) : product.product_quantity}</td>

                            <td>${product.variants ? product.variants.filter(variant => variant.tester_variant == '1').length : ''}</td>
                            <td>${product.variants ? product.variants.length : ''}</td>
                            <td><span class="badge ${product.status == '1' ? 'badge-success' : 'badge-danger'}">${product.status == '1' ? 'Active' : 'Inactive'}</span></td>
                            <td>
                                <div class="d-flex align-items-center">
                                    <a href="{{ url('/admin/product/edit/${product.id}') }}" class="btn btn-success btn-sm btn-icon-text mr-3">
                                        Edit
                                        <i class="typcn typcn-edit btn-icon-append"></i>
                                    </a>
                                    <a href="{{ url('/admin/product/delete/${product.id}') }}" class="btn btn-danger btn-sm btn-icon-text">
                                        Delete
                                        <i class="typcn typcn-delete-outline btn-icon-append"></i>
                                    </a>
                                </div>
                            </td>
                        </tr>
                    `);
                });
            }
        }
    });
</script> --}}

@endsection