@extends('admin.layouts.app')
@section('content')



<style>


a.theRemovingBtn {
    background: #000;
    padding: 16px 28px;
    color: #fff;
    font-size: 14px;
    border-radius: 7px;
}

.select2-container{
    width:30% !important;
}
</style>

<!-- main-panel -->
<div class="main-panel">
<div class="content-wrapper">
   <div class="row">
      <div class="col-12 col-md-12 grid-margin stretch-card">
         <div class="card">
            <div class="card-body">
                <form action="{{ route('admin.contracts.store') }}" method="POST" enctype="multipart/form-data">
                    @csrf
                    <div class="form-group">
                        <label>Select User</label>
                        <select name="user_id" class="form-control @error('user_id') is-invalid @enderror">
                            <option value="">Select User</option>
                            @foreach($users as $user)
                                <option value="{{ $user->id }}">{{ $user->name }}</option>
                            @endforeach
                        </select>
                        @error('user_id')
                            <div class="invalid-feedback">{{ $message }}</div>
                        @enderror
                    </div>
                
                    <div class="form-group">
                        <label>Start Date</label>
                        <input type="date" name="start_date" class="form-control @error('start_date') is-invalid @enderror">
                        @error('start_date')
                            <div class="invalid-feedback">{{ $message }}</div>
                        @enderror
                    </div>
                
                    <div class="form-group">
                        <label>End Date</label>
                        <input type="date" name="end_date" class="form-control @error('end_date') is-invalid @enderror">
                        @error('end_date')
                            <div class="invalid-feedback">{{ $message }}</div>
                        @enderror
                    </div>
                
                    <div class="form-group">
                        <label>Payment Plan</label>
                        <select name="payment_plan" class="form-control @error('payment_plan') is-invalid @enderror">
                            <option value="weekly">Weekly</option>
                            <option value="monthly">Monthly</option>
                        </select>
                        @error('payment_plan')
                            <div class="invalid-feedback">{{ $message }}</div>
                        @enderror
                    </div>
                
                    <div class="form-group">
                        <label>Daily Rate</label>
                        <input type="number" name="daily_rate" step="0.01" class="form-control @error('daily_rate') is-invalid @enderror">
                        @error('daily_rate')
                            <div class="invalid-feedback">{{ $message }}</div>
                        @enderror
                    </div>
                
                    <div class="form-group">
                        <label>Total Amount</label>
                        <input type="number" name="amount" step="0.01" class="form-control @error('amount') is-invalid @enderror">
                        @error('amount')
                            <div class="invalid-feedback">{{ $message }}</div>
                        @enderror
                    </div>
                
                    <div class="form-group">
                        <label>Terms & Conditions</label>
                        <textarea style="height:200px" name="terms_conditions" class="form-control @error('terms_conditions') is-invalid @enderror"></textarea>
                        @error('terms_conditions')
                            <div class="invalid-feedback">{{ $message }}</div>
                        @enderror
                    </div>
                
                    <button type="submit" class="btn btn-primary">Create Contract</button>
                </form>
            </div>
         </div>
      </div>
   </div>
</div>

@endsection

@section('script')

<script>
    
</script>

@endsection
