@extends('admin.layouts.app')

@section('content')

<style>
    input#searchInput {
        height: 50px;
        font-size: 15px;
        padding: 20px;
    }

    a#searchButton {height: 50px;}

    tbody#appendProds div {
        padding: 20px !important;
    }
    .hidden.sm\:flex-1.sm\:flex.sm\:items-center.sm\:justify-between {
        margin: 20px;
    }
    svg.w-5.h-5 {
        width: 55px;
        color: black;
        padding: 5px;
    }
    .flex.justify-between.flex-1.sm\:hidden {
        display: none;
    }
    .hidden.sm\:flex-1.sm\:flex.sm\:items-center.sm\:justify-between p {
        text-align: center;
        color: #c40067;
    }
    a.relative.inline-flex.items-center.px-4.py-2.-ml-px.text-sm.font-medium.text-gray-700.bg-white.border.border-gray-300.leading-5.hover\:text-gray-500.focus\:z-10.focus\:outline-none.focus\:ring.ring-gray-300.focus\:border-blue-300.active\:bg-gray-100.active\:text-gray-700.transition.ease-in-out.duration-150 {
        color: black;
    }

    .table td img {
        width: 70px;
        height: 70px;
    }
</style>


<!-- main-panel -->
<div class="main-panel">
    <div class="content-wrapper">
        <div class="d-flex justify-content-between mb-4">
            <form id="searchForm">
                <input type="text" id="searchInput" placeholder="Search for contract...">
                <!--<a class="javascript:; btn btn-primary" id="searchButton" >Search</a>-->
            </form>
            <a href="{{ route('admin.contracts.create') }}" 
                class="btn btn-primary btn-icon-text">
                <i class="typcn typcn-upload btn-icon-prepend"></i>
                Create new Contract </a>
            
        </div>
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="table-responsive pt-3">
                        <table class="table table-striped project-orders-table">
                            <thead>
                                <tr>
                                    <th class="ml-5">ID</th>
                                    <th>Customer Name</th>
                                    <th>Email</th>
                                    <th>Start Date</th>
                                    <th>End Date</th>
                                    <th>Payment Plan</th>
                                    <th>Daily Rate</th>
                                    <th>Status</th>
                                    <th>Actions</th>
                                </tr>
                            </thead>
                            <tbody id="appendProds">
                            @if(count($contracts))
                            @php $i=0; @endphp
                            @foreach($contracts as $contract)
                            
                                <tr>
                                    <td>{{ ++$i }}</td>
                                    <td>{{ ucfirst($contract->user->name) }}</td>
                                    <td>{{ !empty($contract->user->email) ? ucfirst($contract->user->email) : '' }}</td>
                                    <td>{{ ucfirst($contract->start_date) }}</td>
                                    <td>{{ ucfirst($contract->end_date) }}</td>
                                    <td>{{ ucfirst($contract->payment_plan) }}</td>
                                    <td>${{ ucfirst($contract->daily_rate) }}</td>
                                    @if(!empty($contract) && $contract->status == 'active')
                                        <td>
                                            <span class="badge badge-success change_status" data-id="{{ $contract->id }}" value="active" style="cursor: pointer;" role="button" tabindex="0">Active</span>
                                        </td>
                                    @else
                                        <td>
                                            <span class="badge badge-danger change_status" data-id="{{ $contract->id }}" value="{{ $contract->status }}" style="cursor: pointer;" role="button" tabindex="0">{{ $contract->status }}</span>
                                        </td>
                                    @endif
                                    <td>
                                        <div class="d-flex align-items-center">
                                            <a href="{{ route('admin.contract.show',$contract->id) }}" class="btn btn-primary btn-sm btn-icon-text mr-3">
                                                Show
                                                <i class="typcn typcn-eye btn-icon-append"></i>
                                            </a>
                                            <a href="{{ route('admin.contract.edit',$contract->id) }}" class="btn btn-success btn-sm btn-icon-text mr-3">
                                                Edit
                                                <i class="typcn typcn-edit btn-icon-append"></i>
                                            </a>
                                            <a href="{{ route('admin.contract.delete',$contract->id) }}" class="btn btn-danger btn-sm btn-icon-text">
                                                Delete
                                                <i class="typcn typcn-delete-outline btn-icon-append"></i>
                                            </a>
                                        </div>
                                    </td>
                                </tr>
                            @endforeach
                            @endif    
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <div class="row mt-4">
            <div class="col-md-12">
                <div class="card align-items-center imagePagination">
                    {{ $contracts->links() }}
                </div>
            </div>
        </div>
    </div>

@endsection

@section('script')

@endsection