@extends('admin.layouts.app')
@section('content')

<!-- main-panel -->
<div class="main-panel">
    <div class="content-wrapper">
        <div class="d-flex justify-content-end mb-4">
            <a href="{{ route('admin.createSize') }}" 
                class="btn btn-primary btn-icon-text">
                <i class="typcn typcn-upload btn-icon-prepend"></i>
                Add Size </a>
        </div>
        <div class="row">
            <div class="col-md-12">
            <div class="card">
                    <div class="table-responsive pt-3">
                        <table class="table table-striped project-orders-table">
                            <thead>
                                <tr>
                                    <th class="ml-5">ID</th>
                                    <th>Name</th>
                                    <th>Email</th>
                                    <th>Phone</th>
                                    <th>Comment</th>
                                    <th>Actions</th>
                                </tr>
                            </thead>
                            <tbody>
                            @if($designRequests)
                            @php $i=0; @endphp
                            @foreach($designRequests as $request)        
                                <tr>
                                    <td>{{ ++$i }}</td>
                                    <td>{{ !empty($request->user) ? $request->user->name : '' }}</td>
                                    <td>{{ !empty($request->email) ? $request->email : '' }}</td>
                                    <td>{{ !empty($request->phone) ? $request->phone : '' }}</td>
                                    <td>{{ !empty($request->design_comment) ? $request->design_comment : '' }}</td>
                                    <td><span class="badge badge-success">{{ !empty($request->status) ? $request->status : '' }}</span></td>
                                    
                                    <td>
                                        <div class="d-flex align-items-center">
                                            <a href="{{ route('admin.editDesignRequest',$request->id)}}" class="btn btn-success btn-sm btn-icon-text mr-3">
                                                Edit
                                                <i class="typcn typcn-edit btn-icon-append"></i>
                                            </a>
                                            <a href="{{ route('admin.deleteDesignRequest',$request->id)}}"  class="btn btn-danger btn-sm btn-icon-text">
                                                Delete
                                                <i class="typcn typcn-delete-outline btn-icon-append"></i>
                                            </a>
                                        </div>
                                    </td>
                                </tr>
                                @endforeach
                                @endif                    

                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>

@endsection