@extends('admin.layouts.app')
@section('content')

<!-- main-panel -->
<div class="main-panel">
    <div class="content-wrapper">
        <div class="d-flex justify-content-end mb-4">
            <a href="{{ route('admin.invoice.create') }}" 
                class="btn btn-primary btn-icon-text">
                <i class="typcn typcn-upload btn-icon-prepend"></i>
                Add Invoice </a>
        </div>
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <h5>All Invoices</h5>
                    <div class="table-responsive">
                        <table class="table table-bordered">
                            <thead>
                                <tr>
                                    <th>Invoice Number</th>
                                    <th>Amount</th>
                                    <th>Due Date</th>
                                    <th>Status</th>
                                    <th>Actions</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach($contract->invoices as $invoice)
                                    <tr>
                                        <td>{{ $invoice->invoice_number }}</td>
                                        <td>${{ number_format($invoice->amount, 2) }}</td>
                                        <td>{{ Carbon\Carbon::parse($invoice->due_date)->format('M d, Y') }}</td>
                                        <td>
                                            @if($invoice->status === 'paid')
                                            <span class="badge badge-success">
                                                {{ ucfirst($invoice->status) }}
                                            </span>
                                            @elseif($invoice->status === 'unpaid')
                                            <span class="badge badge-warning">
                                                {{ ucfirst($invoice->status) }}
                                            </span>
                                            @else
                                            <span class="badge badge-danger">
                                                {{ ucfirst($invoice->status) }}
                                            </span>
                                            @endif
                                        </td>
                                        <td>
                                            {{-- @if($invoice->status === 'unpaid')
                                                <button class="btn btn-sm btn-success mark-as-paid" 
                                                        data-invoice-id="{{ $invoice->id }}">
                                                    Mark as Paid
                                                </button>
                                            @endif --}}
                                            <div class="d-flex align-items-center">
                                                <a href="{{ route('admin.invoice.show',$invoice->id) }}" class="btn btn-primary btn-sm btn-icon-text mr-3">
                                                    Show
                                                    <i class="typcn typcn-eye btn-icon-append"></i>
                                                </a>
                                                {{-- <a href="{{ route('admin.invoice.edit',$invoice->id) }}" class="btn btn-success btn-sm btn-icon-text mr-3">
                                                    Edit
                                                    <i class="typcn typcn-edit btn-icon-append"></i>
                                                </a> --}}
                                                <a href="{{ route('admin.invoice.delete',$invoice->id) }}" class="btn btn-danger btn-sm btn-icon-text mr-3">
                                                    Delete
                                                    <i class="typcn typcn-delete-outline btn-icon-append"></i>
                                                </a>

                                                <a href="{{ route('admin.invoice.send',$invoice->id) }}" class="btn btn-warning btn-sm btn-icon-text">
                                                    Send Invoice
                                                    <i class="typcn typcn-location-arrow-outline"></i>
                                                </a>
                                            </div>
                                        </td>
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>

@endsection