<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <title>Transportation Express Admin</title>
  <link rel="stylesheet" href="{{ asset('build/assets/admin/vendors/typicons/typicons.css') }}">
  <link rel="stylesheet" href="{{ asset('build/assets/admin/vendors/css/vendor.bundle.base.css') }}">
  <link rel="stylesheet" href="{{ asset('build/assets/admin/css/vertical-layout-light/style.css') }}">
  <link rel="shortcut icon" href="{{ asset('build/assets/admin/images/logo.png') }}" />
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.css" integrity="sha512-3pIirOrwegjM6erE5gPSwkUzO+3cTjpnV9lexlNZqvupR64iZBnOOTiiLPb9M36zpMScbmUNIcHUqKD47M719g==" crossorigin="anonymous" referrerpolicy="no-referrer" />

</head>

<style>
    .auth .auth-form-light {
        background: #ffffff4d;
        border-radius: 10px;
        color: white;
    }
    .btn-warning {
        background-color: #646464;
        border-color: #25a6f1;
        color: white;
    }
    .bgFor::before{
        height: 110vh;
        background: linear-gradient(rgba(0, 0, 0, 0.7), rgba(0, 0, 0, 0.7)), url('{{ asset("build/assets/admin/images/login-banner.jpg") }}') no-repeat center center / cover;
    }
    
    .auth .brand-logo img{
        background: none;
        width: 50%;
    }
</style>

<body>
    
    <div class="container-scroller">
        <div class="container-fluid page-body-wrapper full-page-wrapper">
            <div class="content-wrapper bgFor d-flex align-items-center auth px-0">
                <div class="row w-100 mx-0">
                    <div class="col-lg-4 mx-auto">
                        <div class="auth-form-light text-left py-5 px-4 px-sm-5">
                            <div class="brand-logo">
                                <img src="{{ asset('build/assets/front/images/logo.png') }}" alt="logo">
                            </div>
                            <h4 class="text-center ">Hello! let's get started</h4>
                            <!-- <h6 class="font-weight-light">Sign in to continue.</h6> -->
                            @if(session('error'))
                                <div class="bg-red-100 border border-red-400 text-red-700 px-4 py-3 rounded mb-4">
                                    {{ session('error') }}
                                </div>
                            @endif
                            <form class="pt-3" action="{{ route('admin.login.post') }}" method="post">
                                @csrf
                                <div class="form-group">
                                    <label for="exampleInputEmail1">Email</label>
                                    <input type="email" class="form-control form-control-lg text-white" id="exampleInputEmail1" name="email" placeholder="Email" value="{{ old('email') }}" required>
                                </div>
                                <div class="form-group">
                                    <label for="exampleInputPassword1">Password</label>
                                    <input type="password" class="form-control form-control-lg text-white" id="exampleInputPassword1" name="password" placeholder="Password" required>
                                </div>
                                <a href="#" class="auth-link text-white">Forgot password?</a>
                                <div class="mt-3">
                                    <button class="btn btn-block btn-primary btn-lg font-weight-medium auth-form-btn" type="submit">SIGN IN</button>
                                </div>
                                {{-- <div class="my-2 d-flex justify-content-between align-items-center">
                                    <div class="form-check">
                                        <label class="form-check-label text-white">
                                        <input type="checkbox" class="form-check-input">
                                        Keep me signed in
                                        </label>
                                    </div>
                                </div> --}}
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
  
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.7.1/jquery.min.js"></script>
  <script src="{{ asset('build/assets/admin/vendors/js/vendor.bundle.base.js') }}"></script>
  <script src="{{ asset('build/assets/admin/js/off-canvas.js') }}"></script>
  <script src="{{ asset('build/assets/admin/js/hoverable-collapse.js') }}"></script>
  <script src="{{ asset('build/assets/admin/js/template.js') }}"></script>
  <script src="{{ asset('build/assets/admin/js/settings.js') }}"></script>
  <script src="{{ asset('build/assets/admin/js/todolist.js') }}"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.js" integrity="sha512-VEd+nq25CkR676O+pLBnDW09R7VQX9Mdiij052gVCp5yVH3jGtH70Ho/UUv4mJDsEdTvqRCFZg0NKGiojGnUCw==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>

  <script>

        @if(Session::has('message'))
        var type = "{{ Session::get('alert-type', 'info') }}";
        switch(type){
            case 'info':
                toastr.info("{{ Session::get('message') }}");
                break;
    
            case 'warning':
                toastr.warning("{{ Session::get('message') }}");
                break;
    
            case 'success':
                toastr.success("{{ Session::get('message') }}");
                break;
    
            case 'error':
                toastr.error("{{ Session::get('message') }}");
                break;
        }
        @endif
    </script>
</body>

</html>
