@extends('admin.layouts.app')
@section('content')


<style>
    input#searchInput {
    height: 50px;
    font-size: 15px;
    padding: 20px;
}

a#searchButton {height: 50px;}

tbody#appendProds div {
    padding: 20px !important;
}
.hidden.sm\:flex-1.sm\:flex.sm\:items-center.sm\:justify-between {
    margin: 20px;
}
svg.w-5.h-5 {
    width: 55px;
    color: black;
    padding: 5px;
}
.flex.justify-between.flex-1.sm\:hidden {
    display: none;
}
.hidden.sm\:flex-1.sm\:flex.sm\:items-center.sm\:justify-between p {
    text-align: center;
    color: #c40067;
}
a.relative.inline-flex.items-center.px-4.py-2.-ml-px.text-sm.font-medium.text-gray-700.bg-white.border.border-gray-300.leading-5.hover\:text-gray-500.focus\:z-10.focus\:outline-none.focus\:ring.ring-gray-300.focus\:border-blue-300.active\:bg-gray-100.active\:text-gray-700.transition.ease-in-out.duration-150 {
    color: black;
}
</style>


<!-- main-panel -->
<div class="main-panel">
    <div class="content-wrapper">
        <div class="d-flex justify-content-between mb-4">
            <form id="searchForm">
                <input type="text" id="searchInput" placeholder="Search for products...">
                <a class="javascript:; btn btn-primary" id="searchButton" >Search</a>
            </form>
            <!--<a href="" -->
            <!--    class="btn btn-primary btn-icon-text">-->
            <!--    <i class="typcn typcn-upload btn-icon-prepend"></i>-->
            <!--    Add Order</a>-->
            
        </div>
        <div class="row">
            <div class="col-md-12">
            <div class="card">
                    <div class="table-responsive pt-3">
                        <table class="table table-striped project-orders-table">
                            <thead>
                                <tr>
                                    <th class="ml-5">ID</th>
                                    <th>First name</th>
                                    <th>Last name</th>
                                    <th>Phone</th>
                                    <th>Email </th>
                                    <th>Total Amount</th>
                                    <th>Date & Time</th>
                                    <th>Status</th>
                                    <th>Actions</th>
                                </tr>
                            </thead>
                            <tbody id="appendProds">
                            @if(isset($orders))
                            @php $i=0; @endphp
                            @foreach($orders as $order)
                            
                                <tr>
                                    <td>{{ ++$i }}</td>
                                    <td>{{ ucfirst($order->f_name) }}</td>
                                    <td>{{ ucfirst($order->l_name) }}</td>
                                    <td>{{ !empty($order->phone) ? ucfirst($order->phone) : '' }}</td>
                                    <td>{{ !empty($order->email) ? ucfirst($order->email) : '' }}</td>
                                    <td>${{ !empty($order->total_amount) ? ucfirst($order->total_amount) : '' }}</td>
                                    <td><span id="utcTime" data-time="{{ $order->created_at->toAtomString() }}">{{ $order->created_at }}</span></td>
                                    <td>{{ !empty($order->status) ? ucfirst($order->status) : '' }}</td>
                                    <td>
                                        <div class="d-flex align-items-center">
                                            <a href="{{ route('admin.order.show',$order->id) }}" class="btn btn-primary btn-sm btn-icon-eye mr-3">
                                                View
                                                <i class="typcn typcn-eye btn-icon-append"></i>
                                            </a>
                                            <!--<a href="{{ route('admin.order.edit',$order->id) }}" class="btn btn-success btn-sm btn-icon-text mr-3">-->
                                            <!--    Edit-->
                                            <!--    <i class="typcn typcn-edit btn-icon-append"></i>-->
                                            <!--</a>-->
                                            <!--<a href="{{ route('admin.order.delete',$order->id) }}" class="btn btn-danger btn-sm btn-icon-text">-->
                                            <!--    Delete-->
                                            <!--    <i class="typcn typcn-delete-outline btn-icon-append"></i>-->
                                            <!--</a>-->
                                        </div>
                                    </td>
                                </tr>
                            @endforeach
                            @endif    
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <div class="row mt-4">
            <div class="col-md-12">
                <div class="card align-items-center imagePagination">
                    {{ $orders->links() }}
                </div>
            </div>
        </div>
    </div>

@endsection

@section('script')
<script>
    document.addEventListener('DOMContentLoaded', function () {
        var utcTimeElement = document.getElementById('utcTime');
        var utcTime = utcTimeElement.getAttribute('data-time');
        var localTime = new Date(utcTime).toLocaleString();  // Converts to local browser time
        
        utcTimeElement.textContent = localTime;  // Update the text content with local time
    });
</script>

@endsection