@extends('admin.layouts.app')
@section('content')

<!-- main-panel -->
<div class="main-panel">
    <div class="content-wrapper">
        <div class="d-flex justify-content-end mb-4">
            <a href="{{ route('admin.createSize') }}" 
                class="btn btn-primary btn-icon-text">
                <i class="typcn typcn-upload btn-icon-prepend"></i>
                Add Size </a>
        </div>
        <div class="row">
            <div class="col-md-12">
            <div class="card">
                    <div class="table-responsive pt-3">
                        <table class="table table-striped project-orders-table">
                            <thead>
                                <tr>
                                    <th class="ml-5">ID</th>
                                    <th>Name</th>
                                    <th>Value</th>
                                    <th>Status</th>
                                    <th>Actions</th>
                                </tr>
                            </thead>
                            <tbody>
                            @if(count($sizes))
                            @php $i=0; @endphp
                            @foreach($sizes as $size)        
                                <tr>
                                    <td>{{ ++$i }}</td>
                                    <td>{{ !empty($size) ? $size->name : '' }}</td>
                                    <td>{{ !empty($size) ? $size->value : '' }}</td>
                                    @if(!empty($size) && $size->status == 'active')
                                    <td><span class="badge badge-success">Active</span></td>
                                    @else
                                    <td><span class="badge badge-danger">Deactive</span></td>
                                    @endif
                                    <td>
                                        <div class="d-flex align-items-center">
                                            <a href="{{ route('admin.editSize',$size->id)}}" class="btn btn-success btn-sm btn-icon-text mr-3">
                                                Edit
                                                <i class="typcn typcn-edit btn-icon-append"></i>
                                            </a>
                                            <a href="{{ route('admin.deleteSize',$size->id)}}"  class="btn btn-danger btn-sm btn-icon-text">
                                                Delete
                                                <i class="typcn typcn-delete-outline btn-icon-append"></i>
                                            </a>
                                        </div>
                                    </td>
                                </tr>
                                @endforeach
                                @endif                    

                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>

@endsection