@extends('front.layouts.app')

@section('title', 'FAQs')

@section('content')

<style>
    @import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;600;700&display=swap');

    .faqs-sec{
        background-color: #424242;
        padding-top: 8%;
        padding-bottom: 50px;
    }

    .faq-container {
        /* width: 100%;
        max-width: 500px; */
        background-color: #ffffff;
        border-radius: 10px;
        padding: 0;
        box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
        overflow: hidden;
    }

    .faq-item {
        border-bottom: 1px solid #e9ecef;
    }

    .faq-item:last-child {
        border-bottom: none;
    }

    .faq-question {
        padding: 20px;
        font-size: 16px;
        font-weight: 500;
        display: flex;
        justify-content: space-between;
        align-items: center;
        cursor: pointer;
        background-color: #f1f3f5;
        transition: background-color 0.3s ease;
    }

    .faq-question:hover {
        background-color: #e9ecef;
    }

    .faq-answer {
        max-height: 0;
        overflow: hidden;
        padding: 0 20px;
        background-color: #ffffff;
        color: #6c757d;
        font-size: 14px;
        line-height: 1.6;
        transition: max-height 0.3s ease, padding 0.3s ease, margin 0.3s ease
    }

    .faq-answer.open {
        max-height: 200px;
        /* Adjust for longer answers */
        padding: 15px 20px;
    }

    .arrow {
        font-size: 18px;
        transition: transform 0.3s ease;
    }

    .arrow.open {
        transform: rotate(90deg);
    }

    /* Responsive Design */
    @media (max-width: 768px) {
        .faq-question {
            font-size: 14px;
            padding: 15px;
        }

        .faq-answer {
            font-size: 13px;
        }
    }

    @media (max-width: 480px) {
        .faq-container {
            max-width: 90%;
        }
    }
</style>

<section class="faqs-sec">
    <div class="container">
        <div class="row">
            <span class="fw-bold fs-2" style="margin-top: 20px; margin-bottom:20px; color:white;">Frequently Asked Questions</span>
            <div class="faq-container col-6">
                <div class="faq-item">
                    <div class="faq-question">
                        What is this FAQ about?
                        <span class="arrow">▶</span>
                    </div>
                    <div class="faq-answer">
                        This FAQ provides answers to the most common questions about our services.
                    </div>
                </div>
                <div class="faq-item">
                    <div class="faq-question">
                        How can I contact support?
                        <span class="arrow">▶</span>
                    </div>
                    <div class="faq-answer">
                        You can contact support via email or phone. Visit our Contact Us page for more details.
                    </div>
                </div>
                <div class="faq-item">
                    <div class="faq-question">
                        What services do you offer?
                        <span class="arrow">▶</span>
                    </div>
                    <div class="faq-answer">
                        We offer a wide range of services including web design, development, and digital marketing.
                    </div>
        
                </div>
            </div>
        </div>
    </div>
</section>

<!-- Custom Script -->
<script>
    const faqItems = document.querySelectorAll('.faq-item');

    faqItems.forEach(item => {
        const question = item.querySelector('.faq-question');
        const answer = item.querySelector('.faq-answer');
        const arrow = item.querySelector('.arrow');

        question.addEventListener('click', () => {
            const isOpen = answer.classList.contains('open');

            // Close all open answers
            document.querySelectorAll('.faq-answer').forEach(a => a.classList.remove('open'));
            document.querySelectorAll('.arrow').forEach(a => a.classList.remove('open'));

            // Toggle current item
            if (!isOpen) {
                answer.classList.add('open');
                arrow.classList.add('open');
            }
        });
    });
</script>

@endsection