@extends('front.user.layouts.app')

@section('content')

<div class="container">
    <h5>All Invoices</h5>
    <div class="table-responsive">
        <table class="table table-bordered">
            <thead>
                <tr>
                    <th>Invoice Number</th>
                    <th>Amount</th>
                    <th>Due Date</th>
                    <th>Status</th>
                    <th>Actions</th>
                </tr>
            </thead>
            <tbody>
                @foreach($invoices as $invoice)
                    <tr>
                        <td>{{ $invoice->invoice_number }}</td>
                        <td>${{ number_format($invoice->amount, 2) }}</td>
                        <td>{{ Carbon\Carbon::parse($invoice->due_date)->format('M d, Y') }}</td>
                        <td>
                            @if($invoice->status === 'paid')
                            <span class="badge bg-success">
                                {{ ucfirst($invoice->status) }}
                            </span>
                            @elseif($invoice->status === 'unpaid')
                            <span class="badge bg-warning">
                                {{ ucfirst($invoice->status) }}
                            </span>
                            @else
                            <span class="badge bg-danger">
                                {{ ucfirst($invoice->status) }}
                            </span>
                            @endif
                        </td>
                        <td>
                            {{-- @if($invoice->status === 'unpaid')
                                <button class="btn btn-sm btn-success mark-as-paid" 
                                        data-invoice-id="{{ $invoice->id }}">
                                    Mark as Paid
                                </button>
                            @endif --}}
                            <div class="d-flex align-items-center">
                                <a href="{{ route('user.invoice.show',$invoice->id) }}" class="btn btn-primary btn-sm btn-icon-text mr-3">
                                    Show
                                    <i class="typcn typcn-eye btn-icon-append"></i>
                                </a>
                                
                            </div>
                        </td>
                    </tr>
                @endforeach
            </tbody>
        </table>
    </div>
</div>

@endsection