@extends('front.user.layouts.app')
@section('title', 'Payment Page')
@section('content')
<link rel="stylesheet" href="{{ asset("build/assets/front/css/payment.css") }}">

<style>
    .payment-options {
            margin-top: 20px;
        }
        .payment-method-options label {
            display: flex;
            align-items: center;
            margin-bottom: 10px;
            cursor: pointer;
        }
        .payment-method-options img {
            margin-left: 10px;
            height: 30px;
        }
        #paypal-button-container {
            margin-top: 20px;
        }
        #stripe-payment-form {
            margin-top: 20px;
        }
        .rounded {
            border-radius: 4px;
            padding: 10px 20px;
            background-color: #1976d2;
            color: white;
            border: none;
            cursor: pointer;
        }
        .rounded:hover {
            background-color: #0056b3;
        }

        .payment-method-options label {
    display: flex;
    align-items: center;
    margin-bottom: 10px;
}

.payment-method-options label img {
    margin-left: 10px;
}

#stripe-card-form {
    border: 1px solid #e6e6e6;
    padding: 15px;
    margin-top: 20px;
}

#card-element {
    padding: 10px;
    border: 1px solid #e6e6e6;
    border-radius: 5px;
    background: #f9f9f9;
}

#card-errors {
    color: #fa755a;
    margin-top: 10px;
}
.payment-method-options input{
    width:20px !important;
}

#tbnSubmit{
    padding: 10px 20px;
    color: white;
    background-color: black;
    margin-top: 25px;
}

.paymentCard img {
    width: 217px;
    height: 45px;
    object-fit: contain;
    border-radius: 30px;
    margin-top: 0;
}
.paymentCard .img1 {
       height: 46px;
    overflow: hidden;
    object-fit: fill;
}
button.paymentCard {
    border: 0;
    background: transparent;
}
</style>
    
<!-- Content Section -->
<div class="container">
    <div class="row">
        <!-- Left Form Section -->
        <form class="orderFrom" id="orderForm" method="POST">
            @csrf
            <div class="row">
                <div class="col-md-8">
                    <div class="form-container mb-2">
                        <div class="container mt-3">
                            <div class="d-flex justify-content-between align-items-center bg-light p-3 rounded shadow-sm mb-4">
                                <!-- Delivery Information -->
                                <div class="d-flex align-items-center">
                                    <i class="bi bi-truck fs-4 text-primary"></i>
                                    <span class="ms-2 fw-bold text-primary">Delivery Information</span>
                                </div>
                                <!-- Payment -->
                                <div class="d-flex align-items-center">
                                    <i class="bi bi-credit-card fs-4 text-secondary"></i>
                                    <span class="ms-2 text-secondary">Payment</span>
                                </div>
                                <!-- Complete -->
                                <div class="d-flex align-items-center">
                                    <i class="bi bi-check-circle fs-4 text-secondary"></i>
                                    <span class="ms-2 text-secondary">Complete</span>
                                </div>
                            </div>
                        </div>
                    
                        <div class="row">
                            <div class="col-md-6 mb-3">
                                <label class="form-label required-field">First Name</label>
                                <input type="text" name="f_name" class="form-control" required>
                            </div>
                            <div class="col-md-6 mb-3">
                                <label class="form-label required-field">Last Name</label>
                                <input type="text" name="l_name" class="form-control" required>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-6 mb-3">
                                <label class="form-label required-field">Phone Number</label>
                                <input type="text" name="phone" class="form-control" required>
                            </div>
                            <div class="col-md-6 mb-3">
                                <label class="form-label required-field">E-mail</label>
                                <input type="email" name="email" class="form-control" required>
                            </div>
                        </div>
                        <div class="mb-3">
                            <label class="form-label">Address</label>
                            <input type="text" name="address" class="form-control">
                        </div>
                        <h5>Address Information</h5>
                        <div class="row">
                            <div class="col-md-6 mb-3">
                                <label class="form-label required-field">City</label>
                                <input type="text" name="city" class="form-control" required>
                            </div>
                            <div class="col-md-6 mb-3">
                                <label class="form-label required-field">State</label>
                                <input type="text" name="state" class="form-control" required>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-6 mb-3">
                                <label class="form-label required-field">Country</label>
                                <input type="text" name="country" class="form-control" required>
                            </div>
                            <div class="col-md-6 mb-3">
                                <label class="form-label required-field">Postal Code</label>
                                <input type="text" name="postal_code" class="form-control" required>
                            </div>
                        </div>
                    
                    </div>
                </div>
                <!-- Right Summary Section -->
                <div class="col-md-4">
                    <div class="summary-container mb-4">
                        <h5>Summary</h5>
                        <p>Total (1) Products</p>
                        <div class="d-flex mb-3">
                            <img src="{{ asset("build/assets/front/images/jeep.png") }}" alt="Product" class="me-3" style="width: 80px; height: 80px;">
                            <div>
                                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit.</p>
                                <p><del>$160.00</del> <strong style="color: #0A058F;">${{ $invoice->amount }}</strong></p>
                            </div>
                        </div>
                        {{-- <div class="mb-3">
                            <label for="coupon-code" class="form-label">Coupon Code</label>
                            <div class="input-group">
                                <input type="text" id="coupon-code" class="form-control">
                                <button class="btn btn-outline-secondary">Apply</button>
                            </div>
                        </div> --}}
                        <div class="mb-3">
                            <p>Shipping Fee: <strong>$0</strong></p>
                            <input type="hidden" name="total_amount" value="{{ $invoice->amount }}" id="">
                            <input type="hidden" name="invoice_id" value="{{ $invoice->id }}" id="">
                            <p>Total: <strong style="color: #0A058F;">${{ $invoice->amount }}</strong></p>
                        </div>
                        <!-- Payment Options -->
                        <div class="payment-options">
                            <h4>Choose a Payment Method</h4>
                            <div class="form-group">
                                <div class="payment-method-options">
                                    <!-- PayPal Option -->
                                    <label>
                                        <input type="radio" name="paymentMethod" value="PayPal" id="paypal-option">
                                        <span>PayPal</span>
                                        <img src="https://www.paypalobjects.com/webstatic/mktg/logo/pp_cc_mark_111x69.jpg" alt="PayPal">
                                    </label>
                                    <!-- Stripe Option -->
                                    <label>
                                        <input type="radio" name="paymentMethod" value="Stripe" id="stripe-option">
                                        <span>Credit Card</span>
                                        <img src="https://img.icons8.com/color/48/000000/visa.png">
                                        <img src="https://img.icons8.com/color/48/000000/mastercard.png">
                                        <img src="https://img.icons8.com/color/48/000000/amex.png">
                                    </label>
                                </div>
                            </div>

                            <!-- PayPal Button -->
                            <div id="paypal-button-container" style="display: none;"></div>

                            <form id="stripe-payment-form" class="stripe-payment-form" style="display:none;">
                                <div id="payment-element">
                                    <!--Stripe.js injects the Payment Element-->
                                </div>
                                <button id="tbnSubmit" class="rounded" type="submit">
                                    <div class="spinner hidden" id="spinner"></div>
                                    <span id="button-text" style="font-size: 15px; color:white !important;">Pay now</span>
                                </button>
                                <div id="payment-loader" style="display: none; margin-top: 40px; float: inline-end;">
                                    <!-- Your loading spinner or animation here -->
                                    <div class="spinner-border" role="status" style="color: #1976d2;">
                                        <span class="sr-only">Processing...</span>
                                    </div>
                                </div>
                                
                                <!-- Icon for checkmark after payment -->
                                <div id="payment-success-icon" style="display: none; margin-top: 40px; float: inline-end;">
                                    <i class="fa-solid fa-check" style="color: #28a745; font-size: 2rem;"></i>
                                </div>
                                
                                <!-- Error Icon -->
                                <div id="payment-error-icon" style="display: none; margin-top: 40px; float: inline-end;">
                                    <i class="fa-solid fa-times" style="color: #dc3545; font-size: 2rem;"></i>
                                </div>
                                <div id="payment-message" class="hidden"></div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </form>
    </div>
</div>

<script src="https://js.stripe.com/v3/"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.7.1/jquery.min.js" integrity="sha512-v2CJ7UaYy4JwqLDIrZUI/4hqeoQieOmAZNXBeQyjo21dadnwR+8ZaIJVT8EE2iyI61OV8e6M8PP2/4hpQINQ/g==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
<script src="https://www.paypal.com/sdk/js?client-id={{ env('PAYPAL_CLIENT_ID') }}&currency=USD"></script>


<script>
    
document.addEventListener('DOMContentLoaded', () => {
    const stripeOption = document.getElementById('stripe-option');
    const paypalOption = document.getElementById('paypal-option');
    const stripePaymentForm = $('.stripe-payment-form');
    console.log(stripePaymentForm);
    const paypalButtonContainer = document.getElementById('paypal-button-container');
    console.log(paypalButtonContainer);
    const orderForm = document.getElementById('orderForm');
    const paymentLoader = document.getElementById('payment-loader');
    
    let stripe = Stripe('{{ env('STRIPE_KEY') }}'); // Your Stripe publishable key
    
    let elements;
    let paymentElement;
    
    // Initialize Stripe Elements and capture client secret
    function initialize() {
        elements = stripe.elements({ 
            clientSecret: '{{ $clientSecret }}',
        });
        
        const paymentElementOptions = {
            layout: "tabs",
        };
        
        paymentElement = elements.create("payment", paymentElementOptions);
        paymentElement.mount("#payment-element");
    }

    // Reset Stripe Payment Elements
    function resetStripeElements() {
        if (paymentElement) {
            paymentElement.unmount(); // Unmount the Stripe payment element
            paymentElement = null; // Clear the reference
        }
        if (elements) {
            elements = null;
        }
    }

    // Reset PayPal Button
    function resetPayPalButton() {
        $('#paypal-button-container').html(''); // Clear the PayPal button container
    }

    // Handle Stripe Payment Option Selection
    stripeOption.addEventListener('change', function () {
        if (stripeOption.checked) {
            initialize();
            resetPayPalButton(); // Reset PayPal button to avoid duplication
            $('.stripe-payment-form').css('display', 'none');
            paypalButtonContainer.style.display = 'none';
        }
    });

    // Handle PayPal Payment Option Selection
    paypalOption.addEventListener('change', function () {
        if (paypalOption.checked) {
            resetStripeElements(); // Reset Stripe elements
            $('.stripe-payment-form').css('display', 'none');
            paypalButtonContainer.style.display = 'block';
            renderPayPalButton(); // Initialize PayPal button
        }
    });

    // PayPal Button Initialization
    function renderPayPalButton() {
        resetPayPalButton(); // Clear previous PayPal buttons before rendering a new one

        paypal.Buttons({
            createOrder: function (data, actions) {
                return actions.order.create({
                    purchase_units: [{
                        amount: {
                            value: document.querySelector('[name="total_amount"]').value
                        }
                    }]
                });
            },
            onApprove: function (data, actions) {
                return actions.order.capture().then(function (details) {
                    Swal.fire({
                        title: 'Payment Successful!',
                        text: 'Your payment has been processed successfully, please wait while we are processing your order.',
                        icon: 'success',
                        position: 'top-end',
                        showConfirmButton: false,
                        timer: 3000
                    }).then(function () {
                        console.log(details);
                        submitOrderForm(details, 'PayPal', details.id);
                        
                    });
                });
            },
            onError: function (err) {
                console.error('PayPal Error:', err);
                Swal.fire({
                    title: 'Error!',
                    text: 'PayPal payment failed. Please try again.',
                    icon: 'error'
                });
            }
        }).render('#paypal-button-container');
    }


    // Handle form submission for Stripe
    orderForm.addEventListener('submit', function (event) {
        event.preventDefault();
        const submitButton = orderForm.querySelector('button[type="submit"]');
        submitButton.disabled = true; // Disable submit button to prevent multiple clicks
        document.querySelector('#payment-loader').style.display = 'block';

        // Confirm the payment using the Payment Element
    
            stripe.confirmPayment({
                elements, // Pass in the Stripe elements object
                confirmParams: {
                    return_url: '{{ route('payment.return') }}', // Optional: return URL after confirming payment
                },
                redirect: "if_required", // You can control redirection here
            }).then(function (result) {
                document.querySelector('#payment-loader').style.display = 'none';
                if (result.error) {
                    // Display the error message to the user
                    Swal.fire({
                        title: 'Error!',
                        text: result.error.message,
                        icon: 'error',
                        position: 'top-end',
                        showConfirmButton: false,
                        timer: 3000
                    });
                    submitButton.disabled = false; // Re-enable the button if there's an error
                } else if (result.paymentIntent.status === 'succeeded') {
                    // Payment succeeded, proceed with the order submission
                    document.querySelector('#payment-success-icon').style.display = 'block';
                    Swal.fire({
                        title: 'Payment Successful!',
                        text: 'Your payment has been processed successfully, please wait while we are processing your order.',
                        icon: 'success',
                        position: 'top-end',
                        showConfirmButton: false,
                        timer: 3000
                    }).then(function () {
                        console.log(result.paymentIntent);
                        // Redirect to process the payment and save the order in the backend
                        const paymentIntentId = result.paymentIntent.id; // Stripe PaymentIntent ID
                        // console.log(result.paymentIntent.latest_charge);
                        const transactionId = null;
                        submitOrderForm(paymentIntentId, 'Stripe', transactionId);
                        
                    });
                }
            });
    });

    async function submitOrderForm(paymentIntentId, paymentMethod, transactionId) {
        const formData = new FormData(orderForm);
        const submitButton = orderForm.querySelector('button[type="submit"]');
        formData.append('payment_method', paymentMethod);
        formData.append('payment_intent_id', paymentIntentId); // Correctly append the PaymentIntent ID
        formData.append('payment_amount', document.querySelector('[name="total_amount"]').value);
        formData.append('transaction_id', transactionId);

        try {
            
            if(paymentMethod == 'Stripe'){
                const response = await fetch('{{ route('handleStripeSuccess') }}', {
                    method: 'POST',
                    body: formData,
                    headers: {
                        'X-CSRF-TOKEN': document.querySelector('meta[name="csrf-token"]').content,
                    }
                });

                const result = await response.json();

                if (result.success) {
                    // Redirect to thank you page
                    Swal.fire({
                        title: 'Payment Done!',
                        text: result.message || 'Thankyou for the payment.',
                        icon: 'success',
                        position: 'top-end',
                        showConfirmButton: false,
                        timer: 3000
                    }).then(function () {
                        const invoiceId = result.invoice.id; // Assuming the backend returns 'id' in the invoice object
                        window.location.href = `{{ route('paymentDone', ':invoice') }}`.replace(':invoice', invoiceId);
                    });
                    
                } else {
                    Swal.fire({
                        title: 'Payment Failed!',
                        text: result.error || 'Please try a different card or payment method.',
                        icon: 'error',
                        position: 'top-end',
                        showConfirmButton: false,
                        timer: 3000
                    }).then(function () {
                        submitButton.disabled = false; // Re-enable the submit button
                    });
                }
            }
            else{
                const response = await fetch('{{ route('handlePaypalSuccess') }}', {
                    method: 'POST',
                    body: formData,
                    headers: {
                        'X-CSRF-TOKEN': document.querySelector('meta[name="csrf-token"]').content,
                    }
                });

                const result = await response.json();
                if(result.success){
                    Swal.fire({
                        title: 'Payment Done!',
                        text: result.message || 'Thankyou for the payment.',
                        icon: 'success',
                        position: 'top-end',
                        showConfirmButton: false,
                        timer: 3000
                    }).then(function () {
                        const invoiceId = result.invoice.id; // Assuming the backend returns 'id' in the invoice object
                        window.location.href = `{{ route('paymentDone', ':invoice') }}`.replace(':invoice', invoiceId);
                    });

                }else {
                    Swal.fire({
                        title: 'Failed!',
                        text: result.error || 'Something went wrong.',
                        icon: 'error',
                        position: 'top-end',
                        showConfirmButton: false,
                        timer: 3000
                    }).then(function () {
                        submitButton.disabled = false; // Re-enable the submit button
                    });
                    
                }
            }
        } catch (error) {
            console.error('Error:', error);
            Swal.fire({
                title: 'Error!',
                text: error,
                icon: 'error'
            });
            submitButton.disabled = false; // Re-enable the submit button
        }
    }

});

</script>

@endsection