<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Transportation Express</title>
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
    <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css" rel="stylesheet">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-QWTKZyjpPEjISv5WaRU9OFeRpok6YctnYmDr5pNlyT2bRjXh0JMhjY6hW+ALEwIH" crossorigin="anonymous">
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap"
        rel="stylesheet">
    <link href="https://cdn.jsdelivr.net/npm/sweetalert2@11.15.3/dist/sweetalert2.min.css" rel="stylesheet">
    <link rel="stylesheet" href="<?php echo e(asset('build/assets/front/css/style.css')); ?>">
    

    <?php echo $__env->yieldContent('links'); ?>

</head>

<body>

    <style>
        .navbar-nav .profile-img {
            width: 50px;
            border-radius: 30px;
        }
    </style>
    

    <!-- Navbar -->
    <nav class="navbar navbar-expand-lg fixed-top custom-navbar">
        <!-- Navbar Brand (Logo) -->
        <div class="container mx-auto">
            <a class="navbar-brand" href="<?php echo e(route('/')); ?>">
                <img src="<?php echo e(asset('build/assets/front/images/logo.png')); ?>" alt="Logo" class="img" style="width: 230px; height: auto;">
            </a>

            <!-- Hamburger Menu -->
            <button class="navbar-toggler custom-toggler" type="button" data-bs-toggle="collapse"
                data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false"
                aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>

            <!-- Navbar Links -->
            <div class="collapse navbar-collapse" id="navbarNav">
                <ul class="navbar-nav ms-auto">
                    <li class="nav-item"><a class="nav-link" href="<?php echo e(route('home')); ?>">Home</a></li>
                    <li class="nav-item"><a class="nav-link" href="#about">About Us</a></li>
                    <li class="nav-item"><a class="nav-link" href="#services">Services</a></li>
                    <li class="nav-item"><a class="nav-link" href="<?php echo e(route('faqs')); ?>">FAQ</a></li>
                    <li class="nav-item"><a class="nav-link" href="<?php echo e(route('contact-us')); ?>">Contact Us</a></li>
                    <?php if(Auth::check()): ?>
                        <div class="dropdown">
                            <a href="#" class="d-flex align-items-center dropdown-toggle text-decoration-none text-white" data-bs-toggle="dropdown" style="padding-left: 16px;">
                                <img src="<?php echo e(asset('build/assets/front/images/dummy.png')); ?>" alt="Profile" class="profile-img">
                                <span class="ms-2"><?php echo e(auth()->user()->name); ?></span>
                            </a>
                            <ul class="dropdown-menu dropdown-menu-end">
                                

                                <li><a class="dropdown-item" href="<?php echo e(route('user.dashboard')); ?>">dashboard</a></li>
                                <li>
                                    <form method="POST" action="<?php echo e(route('logout')); ?>">
                                        <?php echo csrf_field(); ?>
            
                                        <a class="dropdown-item" href="route('logout')"
                                                onclick="event.preventDefault();
                                                            this.closest('form').submit();">
                                            <?php echo e(__('Log Out')); ?>

                                        </a>
                                    </form>
                                </li>
                            </ul>
                        </div>
                    <?php else: ?>
                        <li class="nav-item"><a class="nav-link" href="<?php echo e(route('login')); ?>">Login</a></li>
                    <?php endif; ?>
                    
                </ul>
            </div>
        </div>
    </nav>

    <?php echo $__env->yieldContent('content'); ?>

    <!-- Footer Section -->
    <footer class="text-white pt-5" style="background-color: #00adea;">
        <div class="container">
            <div class="row text-center text-md-start">
                <!-- Logo and Description -->
                <div class="col-md-4 mb-4" style="color: black;">
                    <img src="<?php echo e(asset('build/assets/front/images/logo-2.png')); ?>" alt="Logo" class="img-fluid mb-3" style="width: 180px;">
                    <p style="line-height: 1.8; text-align: justify; color: black;">
                        Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut
                        labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco
                        laboris nisi ut aliquip ex ea commodo consequat.
                    </p>
                    <div class="d-flex justify-content-center justify-content-md-start mt-3">
                        <a href="#" class="me-3"><i class="fab fa-facebook-f text-dark fs-5"></i></a>
                        <a href="#" class="me-3"><i class="fab fa-twitter text-dark fs-5"></i></a>
                        <a href="#"><i class="fab fa-instagram text-dark fs-5"></i></a>
                        <a href="#" class="ms-3"><i class="fab fa-youtube text-dark fs-5"></i></a>
                        <a href="#" class="ms-3"><i class="fab fa-x-twitter text-dark fs-5"></i></a>
                    </div>
                </div>

                <!-- Quick Links -->
                <div class="col-md-4 my-auto text-dark">
                    <h5 class="fw-bold mb-4">Quick Links</h5>
                    <ul class="list-unstyled">
                        <li><a href="#home" class="text-dark text-decoration-none d-block mb-2">Home</a></li>
                        <li><a href="#about" class="text-dark text-decoration-none d-block mb-2">About Us</a></li>
                        <li><a href="#services" class="text-dark text-decoration-none d-block mb-2">Services</a>
                        </li>
                        <li><a href="#faq" class="text-dark text-decoration-none d-block mb-2">FAQ</a></li>
                        <li><a href="#contact" class="text-dark text-decoration-none d-block">Contact Us</a></li>
                    </ul>
                </div>

                <!-- Contact Info -->
                <div class="col-md-4 my-auto text-dark">
                    <h5 class="fw-bold mb-4">Contact Info</h5>
                    <p class="mb-2"><i class="fas fa-map-marker-alt me-2"></i>Lingkungan Ilmu, 43600 Bangi,
                        Selangor,
                        Malaysia</p>
                    <p class="mb-2"><i class="fas fa-phone-alt me-2"></i>000-0000-000</p>
                    <p class="mb-2"><i class="fas fa-envelope me-2"></i>transportationexpresscars@gmail.com</p>
                    <img src="<?php echo e(asset('build/assets/front/images/card-icons.png')); ?>" alt="Payment Methods" class="img-fluid mt-3"
                        style="max-width: 200px;">
                </div>
            </div>
            <hr>
            <!-- Footer Bottom -->
            <div class="row mt-4 text-dark">
                <div class="col-md-6 text-md-start text-center">
                    <p class="mb-0">© 2024 Transportation Express Cars - all rights reserved.</p>
                </div>
                <div class="col-md-6 text-md-end text-center">
                    <a href="#" class="text-decoration-none me-3 text-dark">Privacy Policy</a>
                    <a href="#" class="text-decoration-none text-dark">Terms & Conditions</a>
                </div>
            </div>
        </div>
    </footer>

    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
    <script src="<?php echo e(asset('build/assets/front/js/nav.js')); ?>"></script>
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11.15.3/dist/sweetalert2.all.min.js"></script>

    <?php echo $__env->yieldContent('script'); ?>
</body>

</html><?php /**PATH C:\xampp\htdocs\Transportation-Express\resources\views/front/layouts/app.blade.php ENDPATH**/ ?>