
<?php $__env->startSection('title', 'Invoice #<?php echo e($invoice->invoice_number); ?>'); ?>

<?php $__env->startSection('content'); ?>

    <!-- Include PayPal and Stripe SDKs -->
    <script src="https://www.paypal.com/sdk/js?client-id=<?php echo e(env('PAYPAL_SANDBOX_CLIENT_ID')); ?>&currency=USD"></script>
    <script src="https://js.stripe.com/v3/"></script>

    <style>
        .invoice-table {
            width: 100%;
            border-collapse: collapse;
        }
    
        .invoice-table,
        .invoice-table th,
        .invoice-table td {
            border: 1px solid #f2f2f2;
        }
    
        .invoice-table th,
        .invoice-table td {
            padding: 10px;
            text-align: left;
        }
    
        .invoice-table th {
            background-color: #f9f9f9;
        }
    
        .text-right {
            text-align: right;
        }

        .invoice-container {
            max-width: 700px;
            margin: auto;
            background: #fff;
            padding: 20px;
            border-radius: 8px;
            box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
        }
        .invoice-container h2 {
            text-align: center;
            color: #333;
        }
        .payment-options {
            margin-top: 20px;
        }
        .payment-method-options label {
            display: flex;
            align-items: center;
            margin-bottom: 10px;
            cursor: pointer;
        }
        .payment-method-options img {
            margin-left: 10px;
            height: 30px;
        }
        #paypal-button-container {
            margin-top: 20px;
        }
        #stripe-payment-form {
            margin-top: 20px;
        }
        .rounded {
            border-radius: 4px;
            padding: 10px 20px;
            background-color: #1976d2;
            color: white;
            border: none;
            cursor: pointer;
        }
        .rounded:hover {
            background-color: #0056b3;
        }
    </style>

    <section>
        <div class="container">
            <a class="btn btn-primary" href="<?php echo e(route('user.invoices.index')); ?>">Back</a>
        </div>
        <div style="max-width: 800px; margin: auto; padding: 20px; background: #fff; box-shadow: 0px 0px 20px 5px gray;
        border-radius: 10px;">
        <table style="width: 100%; border-bottom: 2px solid #f2f2f2; margin-bottom: 20px;">
            <tr>
                <td style="text-align: left;">
                    <img src="<?php echo e(asset('build/assets/front/images/logo.png')); ?>" alt="Company Logo" style="max-width: 180px;">
                </td>
                <td style="text-align: right; font-size: 20px; color: #333;">
                    INVOICE
                </td>
            </tr>
        </table>

        <div class="d-flex">
            <div style="margin-bottom: 20px;">
                <h2 style="font-size: 18px;color: #333;font-weight: 800;">Invoice to</h2>
                <p>Name: <?php echo e($invoice->contract->user->name); ?><br>
                Email: <?php echo e($invoice->contract->user->email); ?> <br>
                Phone: <?php echo e($invoice->contract->user->phone); ?></p>
            </div>
    
            <div style="margin-bottom: 20px; text-align: right; margin-left: auto;">
                <p><strong>Invoice ID :</strong> <?php echo e($invoice->invoice_number); ?><br>
                <strong>Date :</strong> <span><?php echo e($invoice->invoice_date); ?></span></p>
            </div>
        </div>

        <table class="table table-striped text-center" style="width: 100%; border-bottom: 2px solid #f2f2f2; margin-bottom: 20px;">
            <thead>
                <tr>
                    <th scope="col">S.No</th>
                    <th scope="col"></th>
                    <th scope="col">Car</th>
                    <th scope="col">Model</th>
                    <th scope="col">Price Per Day</th>
                    <th scope="col">Status</th>
                    <th scope="col">Due Date</th>
                    
                    <th scope="col">Total Amount</th>
                </tr>
            </thead>

            <tbody>
                 
                <tr data-id="<?php echo e($invoice->id); ?>">
                    <td><?php echo e($invoice->id); ?></td>
                    <th scope="row"><img class="img-fluid" src="<?php echo e(asset('build/assets/admin/images/logo.png')); ?>" style="height: 55px; width: 75px; object-fit: cover;" alt=""></th>
                    
                    <td>car</td>
                    <td>model</td>
                    <td>$ <?php echo e($invoice->contract->daily_rate); ?></td>
                    <td>
                        <?php if($invoice->status === 'paid'): ?>
                        <span class="badge bg-success">
                            <?php echo e(ucfirst($invoice->status)); ?>

                        </span>
                        <?php elseif($invoice->status === 'unpaid'): ?>
                        <span class="badge bg-warning">
                            <?php echo e(ucfirst($invoice->status)); ?>

                        </span>
                        <?php else: ?>
                        <span class="badge bg-danger">
                            <?php echo e(ucfirst($invoice->status)); ?>

                        </span>
                        <?php endif; ?>
                    </td>
                    <td><?php echo e($invoice->due_date); ?></td>
                    <td>$ <?php echo e($invoice->amount); ?></td>
                    
                </tr>
                
            </tbody>
        </table>
        <?php if($invoice->status == 'paid'): ?>

        <?php else: ?>
        <div class="pay-now-btn">
            
            <form action="<?php echo e(route('user.paymentPage', $invoice->id)); ?>" method="get">
                <?php echo csrf_field(); ?>
                <input type="hidden" name="user_id" id="" value="<?php echo e(auth()->user()->id); ?>">
                <input type="hidden" name="amount" id="" value="<?php echo e($invoice->amount); ?>">
                <button id="btnSubmit" class="rounded float-end" type="submit">Pay now</button>
            </form>
            
        </div>
        <?php endif; ?>

        <p style="text-align: center; margin-top: 30px; font-size: 12px; color: #666;">Invoice was created on a computer and is valid without the signature and seal.</p>
    </div>
    </section>
    


<?php $__env->stopSection(); ?>
<?php echo $__env->make('front.user.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\Transportation-Express\resources\views/front/user/invoices/show.blade.php ENDPATH**/ ?>