
<?php $__env->startSection('content'); ?>

<div class="main-panel">
    <div class="content-wrapper">
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        <div class="d-flex justify-content-between align-items-center mb-4">
                            <h4 class="card-title">Contract Details</h4>
                            <div>
                                <a href="<?php echo e(route('admin.contract.edit', $contract->id)); ?>" class="btn btn-primary">Edit Contract</a>
                                <a href="<?php echo e(route('admin.contracts')); ?>" class="btn btn-secondary">Back to List</a>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-md-6">
                                <table class="table table-bordered">
                                    <tr>
                                        <th width="200">User</th>
                                        <td><?php echo e($contract->user->name); ?></td>
                                    </tr>
                                    <tr>
                                        <th>Start Date</th>
                                        <td><?php echo e(Carbon\Carbon::parse($contract->start_date)->format('M d, Y')); ?></td>
                                    </tr>
                                    <tr>
                                        <th>End Date</th>
                                        <td><?php echo e(Carbon\Carbon::parse($contract->end_date)->format('M d, Y')); ?></td>
                                    </tr>
                                    <tr>
                                        <th>Payment Plan</th>
                                        <td><?php echo e(ucfirst($contract->payment_plan)); ?></td>
                                    </tr>
                                </table>
                            </div>
                            <div class="col-md-6">
                                <table class="table table-bordered">
                                    <tr>
                                        <th width="200">Daily Rate</th>
                                        <td>$<?php echo e(number_format($contract->daily_rate, 2)); ?></td>
                                    </tr>
                                    <tr>
                                        <th>Total Amount</th>
                                        <td>$<?php echo e(number_format($contract->amount, 2)); ?></td>
                                    </tr>
                                    <tr>
                                        <th>Status</th>
                                        <td>
                                            <span class="badge badge-<?php echo e($contract->status === 'active' ? 'success' : ($contract->status === 'inactive' ? 'warning' : 'danger')); ?>">
                                                <?php echo e(ucfirst($contract->status)); ?>

                                            </span>
                                        </td>
                                    </tr>
                                    <tr>
                                        <th>Created At</th>
                                        <td><?php echo e($contract->created_at->format('M d, Y H:i A')); ?></td>
                                    </tr>
                                </table>
                            </div>
                        </div>

                        <?php if($contract->terms_conditions): ?>
                            <div class="mt-4">
                                <h5>Terms & Conditions</h5>
                                <div class="border p-3 rounded">
                                    <?php echo nl2br(e($contract->terms_conditions)); ?>

                                </div>
                            </div>
                        <?php endif; ?>

                        

                        <!-- All Invoices -->
                        <div class="mt-4">
                            <h5>All Invoices</h5>
                            <div class="table-responsive">
                                <table class="table table-bordered">
                                    <thead>
                                        <tr>
                                            <th>Invoice Number</th>
                                            <th>Amount</th>
                                            <th>Due Date</th>
                                            <th>Status</th>
                                            <th>Actions</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php $__currentLoopData = $contract->invoices; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $invoice): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <tr>
                                                <td><?php echo e($invoice->invoice_number); ?></td>
                                                <td>$<?php echo e(number_format($invoice->amount, 2)); ?></td>
                                                <td><?php echo e(Carbon\Carbon::parse($invoice->due_date)->format('M d, Y')); ?></td>
                                                <td>
                                                    <?php if($invoice->status === 'paid'): ?>
                                                    <span class="badge badge-success">
                                                        <?php echo e(ucfirst($invoice->status)); ?>

                                                    </span>
                                                    <?php elseif($invoice->status === 'unpaid'): ?>
                                                    <span class="badge badge-warning">
                                                        <?php echo e(ucfirst($invoice->status)); ?>

                                                    </span>
                                                    <?php else: ?>
                                                    <span class="badge badge-danger">
                                                        <?php echo e(ucfirst($invoice->status)); ?>

                                                    </span>
                                                    <?php endif; ?>
                                                </td>
                                                <td>
                                                    
                                                    <div class="d-flex align-items-center">
                                                        <a href="<?php echo e(route('admin.invoice.show',$invoice->id)); ?>" class="btn btn-primary btn-sm btn-icon-text mr-3">
                                                            Show
                                                            <i class="typcn typcn-eye btn-icon-append"></i>
                                                        </a>
                                                        
                                                        <a href="<?php echo e(route('admin.invoice.delete',$invoice->id)); ?>" class="btn btn-danger btn-sm btn-icon-text mr-3">
                                                            Delete
                                                            <i class="typcn typcn-delete-outline btn-icon-append"></i>
                                                        </a>
                                                        <?php if($invoice->email_sent == true): ?>
                                                        <button disabled class="btn bg-primary text-light btn-sm btn-icon-text">
                                                            Invoice Sent
                                                            <i class="typcn typcn-location-arrow-outline"></i>
                                                        </button>
                                                        <?php else: ?>
                                                        <a href="<?php echo e(route('admin.invoice.send',$invoice->id)); ?>" class="btn btn-warning btn-sm btn-icon-text">
                                                            Send Invoice
                                                            <i class="typcn typcn-location-arrow-outline"></i>
                                                        </a>
                                                        <?php endif; ?>
                                                    </div>
                                                </td>
                                            </tr>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
<script>
    document.querySelectorAll('.mark-as-paid').forEach(button => {
        button.addEventListener('click', function() {
            const invoiceId = this.getAttribute('data-invoice-id');
            
            Swal.fire({
                title: 'Confirm Payment',
                text: "Are you sure you want to mark this invoice as paid?",
                icon: 'warning',
                showCancelButton: true,
                confirmButtonColor: '#3085d6',
                cancelButtonColor: '#d33',
                confirmButtonText: 'Yes, mark as paid'
            }).then((result) => {
                if (result.isConfirmed) {
                    fetch(`/admin/invoices/${invoiceId}/mark-paid`, {
                        method: 'POST',
                        headers: {
                            'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>',
                            'Accept': 'application/json',
                            'Content-Type': 'application/json'
                        },
                    })
                    .then(response => response.json())
                    .then(data => {
                        if(data.success) {
                            Swal.fire(
                                'Marked as Paid!',
                                'The invoice has been marked as paid.',
                                'success'
                            ).then(() => {
                                window.location.reload();
                            });
                        }
                    })
                    .catch(error => {
                        Swal.fire(
                            'Error!',
                            'There was an error marking the invoice as paid.',
                            'error'
                        );
                    });
                }
            });
        });
    });
</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\Transportation-Express\resources\views/admin/contracts/show.blade.php ENDPATH**/ ?>