
<?php $__env->startSection('content'); ?>


<style>
    input#searchInput {
    height: 50px;
    font-size: 15px;
    padding: 20px;
}

a#searchButton {height: 50px;}

tbody#appendProds div {
    padding: 20px !important;
}
.hidden.sm\:flex-1.sm\:flex.sm\:items-center.sm\:justify-between {
    margin: 20px;
}
svg.w-5.h-5 {
    width: 55px;
    color: black;
    padding: 5px;
}
.flex.justify-between.flex-1.sm\:hidden {
    display: none;
}
.hidden.sm\:flex-1.sm\:flex.sm\:items-center.sm\:justify-between p {
    text-align: center;
    color: #c40067;
}
a.relative.inline-flex.items-center.px-4.py-2.-ml-px.text-sm.font-medium.text-gray-700.bg-white.border.border-gray-300.leading-5.hover\:text-gray-500.focus\:z-10.focus\:outline-none.focus\:ring.ring-gray-300.focus\:border-blue-300.active\:bg-gray-100.active\:text-gray-700.transition.ease-in-out.duration-150 {
    color: black;
}

.table td img {
    width: 70px;
    height: 70px;
}
</style>


<!-- main-panel -->
<div class="main-panel">
    <div class="content-wrapper">
        <div class="d-flex justify-content-between mb-4">
            <form id="searchForm">
                <input type="text" id="searchInput" placeholder="Search for users...">
                <!--<a class="javascript:; btn btn-primary" id="searchButton" >Search</a>-->
            </form>

            <a href="<?php echo e(route('admin.users.create')); ?>" 
                class="btn btn-primary btn-icon-text">
                <i class="typcn typcn-upload btn-icon-prepend"></i>
                Add User </a>
            
        </div>
        <div class="row">
            <div class="col-md-12">
            <div class="card">
                    <div class="table-responsive pt-3">
                        <table class="table table-striped project-orders-table">
                            <thead>
                                <tr>
                                    <th class="ml-5">ID</th>
                                    <th>Name</th>
                                    <th>Email</th>
                                    <th>Phone</th>
                                    <th>Status</th>
                                    <th>Actions</th>
                                </tr>
                            </thead>
                            <tbody id="appendProds">
                                <?php if(count($users)): ?>
                                <?php $i=0; ?>
                                <?php $__currentLoopData = $users; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $user): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                
                                    <tr>
                                        <td><?php echo e(++$i); ?></td>
                                        <td><?php echo e(!empty($user->name) ? ucfirst($user->name) : ''); ?></td>
                                        <td><?php echo e(!empty($user->email) ? ucfirst($user->email) : ''); ?></td>
                                        <td><?php echo e(!empty($user->phone) ? ucfirst($user->phone) : ''); ?></td>
                                        
                                        <?php if(!empty($user) && $user->status == 'active'): ?>
                                        <td><span class="badge badge-success">Active</span></td>
                                        <?php else: ?>
                                        <td><span class="badge badge-danger">Deactive</span></td>
                                        <?php endif; ?>
                                        <td>
                                            <div class="d-flex align-items-center">
                                                <a href="<?php echo e(route('admin.user.edit',$user->id)); ?>" class="btn btn-success btn-sm btn-icon-text mr-3">
                                                    Edit
                                                    <i class="typcn typcn-edit btn-icon-append"></i>
                                                </a>
                                                <a href="<?php echo e(route('admin.user.delete',$user->id)); ?>" class="btn btn-danger btn-sm btn-icon-text">
                                                    Delete
                                                    <i class="typcn typcn-delete-outline btn-icon-append"></i>
                                                </a>
                                            </div>
                                        </td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                <?php endif; ?>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <div class="row mt-4">
            <div class="col-md-12">
                <div class="card align-items-center imagePagination">
                    <?php echo e($users->links()); ?>

                </div>
            </div>
        </div>
    </div>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>

<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script>
    $(document).ready(function(){
        $('#searchInput').on('keyup', function() {
        // $('#searchButton').on('click', function() {
            var query = $('#searchInput').val();
            
            if (query.trim() === '') {
                // Fetch all users or handle the empty input scenario
                fetchAllUsers();
            } else {
                // Proceed with the search
                $.ajax({
                    url:"<?php echo e(route('admin.getUsers')); ?>",
                    method:'GET',
                    header:{
                        'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>'
                    },
                    data:{query:query},
                    success: handleSearchSuccess,
                    error: function(xhr, status, error) {
                        // Handle errors
                        console.error("Error occurred: " + status + ", " + error);
                    }
                    
                });
            }
        });
        
        // Function to fetch all users
        function fetchAllUsers() {
            $.ajax({
                url: "<?php echo e(route('admin.getAllUsers')); ?>", // Endpoint to fetch all users
                method: 'GET',
                success: handleSearchSuccess,
                error: function(xhr, status, error) {
                    console.error("Error occurred: " + status + ", " + error);
                }
            });
        }
        
        function handleSearchSuccess(data) {
            $('#appendProds').empty(); // Empty the container first
    
            if (data.length === 0) {
                // Display "No product found" message
                $('#appendProds').append('<div>No User found.</div>');
            } else {
                // Append users to the container
                $.each(data, function(index, user){
                    $('#appendProds').append(`
                        <tr>
                            <td>${user.id}</td>
                            <td>${user.name}</td>
                            <td>${user.email ? user.email : ''}</td>
                            <td>${user.phone ? user.phone : ''}</td>
                            
                            <td><span class="badge ${user.status == '1' ? 'badge-success' : 'badge-danger'}">${user.status == '1' ? 'Active' : 'Inactive'}</span></td>
                            <td>
                                <div class="d-flex align-items-center">
                                    <a href="<?php echo e(url('/admin/user/edit/${user.id}')); ?>" class="btn btn-success btn-sm btn-icon-text mr-3">
                                        Edit
                                        <i class="typcn typcn-edit btn-icon-append"></i>
                                    </a>
                                    <a href="<?php echo e(url('/admin/user/delete/${user.id}')); ?>" class="btn btn-danger btn-sm btn-icon-text">
                                        Delete
                                        <i class="typcn typcn-delete-outline btn-icon-append"></i>
                                    </a>
                                </div>
                            </td>
                        </tr>
                    `);
                });
            }
        }
    });
</script>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\Transportation-Express\resources\views/admin/users/index.blade.php ENDPATH**/ ?>