<!-- resources/views/invoices/public-view.blade.php -->
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Invoice #<?php echo e($invoice->invoice_number); ?></title>
    
    <!-- Include PayPal and Stripe SDKs -->
    <script src="https://www.paypal.com/sdk/js?client-id=<?php echo e(env('PAYPAL_SANDBOX_CLIENT_ID')); ?>&currency=USD"></script>
    <script src="https://js.stripe.com/v3/"></script>
    
    <!-- Add your custom CSS here -->
    <style>
        .invoice-table {
            width: 100%;
            border-collapse: collapse;
        }
    
        .invoice-table,
        .invoice-table th,
        .invoice-table td {
            border: 1px solid #f2f2f2;
        }
    
        .invoice-table th,
        .invoice-table td {
            padding: 10px;
            text-align: left;
        }
    
        .invoice-table th {
            background-color: #f9f9f9;
        }
    
        .text-right {
            text-align: right;
        }
    </style>
</head>
<body>
    <div style="max-width: 800px; margin: auto; padding: 20px; background: #fff; box-shadow: 0px 0px 20px 5px gray;
    border-radius: 10px;">
        <table style="width: 100%; border-bottom: 2px solid #f2f2f2; margin-bottom: 20px;">
            <tr>
                <td style="text-align: left;">
                    <img src="<?php echo e(asset('build/assets/front/images/logo.png')); ?>" alt="Company Logo" style="max-width: 180px;">
                </td>
                <td style="text-align: right; font-size: 20px; color: #333;">
                    INVOICE
                </td>
            </tr>
        </table>

        <div class="d-flex">
            <div style="margin-bottom: 20px;">
                <h2 style="font-size: 18px; color: #333;">Invoice to</h2>
                <p>Name: <?php echo e($invoice->contract->user->name); ?><br>
                Email: <?php echo e($invoice->contract->user->email); ?> <br>
                Phone: <?php echo e($invoice->contract->user->phone); ?></p>
            </div>
    
            <div style="margin-bottom: 20px; text-align: right;">
                <p><strong>Invoice ID :</strong> <?php echo e($invoice->invoice_number); ?><br>
                <strong>Date :</strong> <span><?php echo e($invoice->invoice_date); ?></span></p>
            </div>
        </div>

        <table class="table table-striped text-center" style="width: 100%; border-bottom: 2px solid #f2f2f2; margin-bottom: 20px;">
            <thead>
                <tr>
                    <th scope="col">S.No</th>
                    <th scope="col"></th>
                    <th scope="col">car</th>
                    <th scope="col">model</th>
                    <th scope="col">Price Per Day</th>
                    <th scope="col">Status</th>
                    <th scope="col">Due Date</th>
                    
                    <th scope="col">total amount</th>
                </tr>
            </thead>

            <tbody>
                 
                <tr data-id="<?php echo e($invoice->id); ?>">
                    <td><?php echo e($invoice->id); ?></td>
                    <th scope="row"><img class="img-fluid" src="<?php echo e(asset('build/assets/admin/images/logo.png')); ?>" style="height: 55px; width: 75px; object-fit: cover;" alt=""></th>
                    
                    <td>car</td>
                    <td>model</td>
                    <td>$ <?php echo e($invoice->contract->daily_rate); ?></td>
                    <td><?php echo e($invoice->status); ?></td>
                    <td><?php echo e($invoice->due_date); ?></td>
                    <td>$ <?php echo e($invoice->amount); ?></td>
                    
                </tr>
                
            </tbody>
        </table>

        <p style="text-align: center; margin-top: 30px; font-size: 12px; color: #666;">Invoice was created on a computer and is valid without the signature and seal.</p>
    </div>
    

    <script>
        document.addEventListener('DOMContentLoaded', function () {
            var utcTimeElement = document.getElementById('utcTime');
            var utcTime = utcTimeElement.getAttribute('data-time');
            var localTime = new Date(utcTime).toLocaleString();  // Converts to local browser time
            
            utcTimeElement.textContent = localTime;  // Update the text content with local time
        });
    </script>
    
</body>
</html>
<?php /**PATH C:\xampp\htdocs\Transportation-Express\resources\views/front/user/invoices/public-view.blade.php ENDPATH**/ ?>