<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
    <title>Transportation Express</title>
    <!-- Bootstrap CSS -->
    <?php echo $__env->yieldContent('links'); ?>
    <link href="https://cdn.jsdelivr.net/npm/sweetalert2@11.15.3/dist/sweetalert2.min.css" rel="stylesheet">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap-icons/font/bootstrap-icons.css" rel="stylesheet">
    <style>
        body {
            font-family: Arial, sans-serif;
        }
        .navbar {
            background-color: white;
            border-bottom: 2px solid #0A058F;
        }

        .navbar-brand {
            font-weight: bold;
            font-size: 1.5rem;
            color: #0A058F;
        }

        .contact-btn {
            background-color: #0A058F;
            color: white;
            border-radius: 5px;
        }

        .tabs {
            border-bottom: 1px solid #ddd;
            margin-bottom: 2rem;
        }

        .nav-tabs .nav-link {
            color: black;
            padding: 0.75rem 1.5rem;
            font-weight: bold;
            border: none;
            transition: all 0.3s ease-in-out;
        }

        .nav-tabs .nav-link:hover {
            color: #0A058F;
            background-color: #f8f9fa;
        }

        .nav-tabs .nav-link.active {
            color: #0A058F;
            border-bottom: 2px solid #0A058F;
        }

        .hero {
            padding: 4rem 2rem;
        }
        .hero h1 {
            font-size: 2rem;
            font-weight: bold;
            margin-bottom: 1rem;
        }
        .hero p {
            font-size: 1.1rem;
            color: #555;
        }
        .car-image {
            max-width: 100%;
        }

        a.navbar-brand {
            text-align: center;
            background: linear-gradient(45deg, black, transparent);
            border-radius: 10px;
        }

        .navbar-brand img{
            width: 200px;
            height: auto;
            margin-left: 20px;
        }

        .navbar .profile-img {
            width: 50px;
            border-radius: 30px;
        }
    </style>
</head>
<body>
    <!-- Navbar -->
    <nav class="navbar navbar-expand-lg">
        <div class="container">
            <a class="navbar-brand" href="<?php echo e(route('/')); ?>">
                <img src="<?php echo e(asset('build/assets/front/images/logo.png')); ?>" alt="Logo" class="img">
            </a>
            
            <div class="ms-auto">
                <a href="<?php echo e(route('contact-us')); ?>" class="btn contact-btn">Contact Us</a>
            </div>

            <?php if(Auth::check()): ?>
                <div class="dropdown">
                    <a href="#" class="d-flex align-items-center dropdown-toggle text-decoration-none text-white" data-bs-toggle="dropdown" style="padding-left: 16px;">
                        <img src="<?php echo e(asset('build/assets/front/images/dummy.png')); ?>" alt="Profile" class="profile-img">
                        <span class="ms-2 text-dark"><?php echo e(auth()->user()->name); ?></span>
                    </a>
                    <ul class="dropdown-menu dropdown-menu-end">
                        

                        <li><a class="dropdown-item" href="<?php echo e(route('user.dashboard')); ?>">dashboard</a></li>
                        <li>
                            <form method="POST" action="<?php echo e(route('logout')); ?>">
                                <?php echo csrf_field(); ?>

                                <a class="dropdown-item" href="route('logout')"
                                        onclick="event.preventDefault();
                                                    this.closest('form').submit();">
                                    <?php echo e(__('Log Out')); ?>

                                </a>
                            </form>
                        </li>
                    </ul>
                </div>
            <?php endif; ?>
        </div>
    </nav>

    <!-- Tabs -->
    <div class="container mt-4">
        <div class="tabs">
            <ul class="nav nav-tabs justify-content-center">
                
                <li class="nav-item">
                    <a class="nav-link" href="<?php echo e(route('user.invoices.index')); ?>">Invoice</a>
                </li>
                
                
                
                <li class="nav-item">
                    <a class="nav-link" href="<?php echo e(route('user.complaints')); ?>">Complaint</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="<?php echo e(route('faqs')); ?>">FAQs</a>
                </li>
            </ul>
        </div>
    </div>
    
    <?php echo $__env->yieldContent('content'); ?>
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11.15.3/dist/sweetalert2.all.min.js"></script>
    <!-- Bootstrap JS -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
    <?php echo $__env->yieldContent('script'); ?>
</body>
</html>
<?php /**PATH C:\xampp\htdocs\Transportation-Express\resources\views/front/user/layouts/app.blade.php ENDPATH**/ ?>